<?php

namespace Novadan\Uyumsoft\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDocumentResponseInfo ArrayType
 * @subpackage Arrays
 */
class ArrayOfDocumentResponseInfo extends AbstractStructArrayBase
{
    /**
     * The DocumentResponseInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Novadan\Uyumsoft\StructType\DocumentResponseInfo[]
     */
    public $DocumentResponseInfo;
    /**
     * Constructor method for ArrayOfDocumentResponseInfo
     * @uses ArrayOfDocumentResponseInfo::setDocumentResponseInfo()
     * @param \Novadan\Uyumsoft\StructType\DocumentResponseInfo[] $documentResponseInfo
     */
    public function __construct(array $documentResponseInfo = array())
    {
        $this
            ->setDocumentResponseInfo($documentResponseInfo);
    }
    /**
     * Get DocumentResponseInfo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Novadan\Uyumsoft\StructType\DocumentResponseInfo[]|null
     */
    public function getDocumentResponseInfo()
    {
        return isset($this->DocumentResponseInfo) ? $this->DocumentResponseInfo : null;
    }
    /**
     * This method is responsible for validating the values passed to the setDocumentResponseInfo method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDocumentResponseInfo method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDocumentResponseInfoForArrayConstraintsFromSetDocumentResponseInfo(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfDocumentResponseInfoDocumentResponseInfoItem) {
            // validation for constraint: itemType
            if (!$arrayOfDocumentResponseInfoDocumentResponseInfoItem instanceof \Novadan\Uyumsoft\StructType\DocumentResponseInfo) {
                $invalidValues[] = is_object($arrayOfDocumentResponseInfoDocumentResponseInfoItem) ? get_class($arrayOfDocumentResponseInfoDocumentResponseInfoItem) : sprintf('%s(%s)', gettype($arrayOfDocumentResponseInfoDocumentResponseInfoItem), var_export($arrayOfDocumentResponseInfoDocumentResponseInfoItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DocumentResponseInfo property can only contain items of type \Novadan\Uyumsoft\StructType\DocumentResponseInfo, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DocumentResponseInfo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\DocumentResponseInfo[] $documentResponseInfo
     * @return \Novadan\Uyumsoft\ArrayType\ArrayOfDocumentResponseInfo
     */
    public function setDocumentResponseInfo(array $documentResponseInfo = array())
    {
        // validation for constraint: array
        if ('' !== ($documentResponseInfoArrayErrorMessage = self::validateDocumentResponseInfoForArrayConstraintsFromSetDocumentResponseInfo($documentResponseInfo))) {
            throw new \InvalidArgumentException($documentResponseInfoArrayErrorMessage, __LINE__);
        }
        if (is_null($documentResponseInfo) || (is_array($documentResponseInfo) && empty($documentResponseInfo))) {
            unset($this->DocumentResponseInfo);
        } else {
            $this->DocumentResponseInfo = $documentResponseInfo;
        }
        return $this;
    }
    /**
     * Add item to DocumentResponseInfo value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\DocumentResponseInfo $item
     * @return \Novadan\Uyumsoft\ArrayType\ArrayOfDocumentResponseInfo
     */
    public function addToDocumentResponseInfo(\Novadan\Uyumsoft\StructType\DocumentResponseInfo $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\DocumentResponseInfo) {
            throw new \InvalidArgumentException(sprintf('The DocumentResponseInfo property can only contain items of type \Novadan\Uyumsoft\StructType\DocumentResponseInfo, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DocumentResponseInfo[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Novadan\Uyumsoft\StructType\DocumentResponseInfo|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Novadan\Uyumsoft\StructType\DocumentResponseInfo|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Novadan\Uyumsoft\StructType\DocumentResponseInfo|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Novadan\Uyumsoft\StructType\DocumentResponseInfo|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Novadan\Uyumsoft\StructType\DocumentResponseInfo|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DocumentResponseInfo
     */
    public function getAttributeName()
    {
        return 'DocumentResponseInfo';
    }
}
