<?php

namespace Novadan\Uyumsoft\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfUBLExtensionType ArrayType
 * @subpackage Arrays
 */
class ArrayOfUBLExtensionType extends AbstractStructArrayBase
{
    /**
     * The UBLExtension
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\UBLExtensionType[]
     */
    public $UBLExtension;
    /**
     * Constructor method for ArrayOfUBLExtensionType
     * @uses ArrayOfUBLExtensionType::setUBLExtension()
     * @param \Novadan\Uyumsoft\StructType\UBLExtensionType[] $uBLExtension
     */
    public function __construct(array $uBLExtension = array())
    {
        $this
            ->setUBLExtension($uBLExtension);
    }
    /**
     * Get UBLExtension value
     * @return \Novadan\Uyumsoft\StructType\UBLExtensionType[]|null
     */
    public function getUBLExtension()
    {
        return $this->UBLExtension;
    }
    /**
     * This method is responsible for validating the values passed to the setUBLExtension method
     * This method is willingly generated in order to preserve the one-line inline validation within the setUBLExtension method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateUBLExtensionForArrayConstraintsFromSetUBLExtension(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfUBLExtensionTypeUBLExtensionItem) {
            // validation for constraint: itemType
            if (!$arrayOfUBLExtensionTypeUBLExtensionItem instanceof \Novadan\Uyumsoft\StructType\UBLExtensionType) {
                $invalidValues[] = is_object($arrayOfUBLExtensionTypeUBLExtensionItem) ? get_class($arrayOfUBLExtensionTypeUBLExtensionItem) : sprintf('%s(%s)', gettype($arrayOfUBLExtensionTypeUBLExtensionItem), var_export($arrayOfUBLExtensionTypeUBLExtensionItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The UBLExtension property can only contain items of type \Novadan\Uyumsoft\StructType\UBLExtensionType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set UBLExtension value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\UBLExtensionType[] $uBLExtension
     * @return \Novadan\Uyumsoft\ArrayType\ArrayOfUBLExtensionType
     */
    public function setUBLExtension(array $uBLExtension = array())
    {
        // validation for constraint: array
        if ('' !== ($uBLExtensionArrayErrorMessage = self::validateUBLExtensionForArrayConstraintsFromSetUBLExtension($uBLExtension))) {
            throw new \InvalidArgumentException($uBLExtensionArrayErrorMessage, __LINE__);
        }
        $this->UBLExtension = $uBLExtension;
        return $this;
    }
    /**
     * Add item to UBLExtension value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\UBLExtensionType $item
     * @return \Novadan\Uyumsoft\ArrayType\ArrayOfUBLExtensionType
     */
    public function addToUBLExtension(\Novadan\Uyumsoft\StructType\UBLExtensionType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\UBLExtensionType) {
            throw new \InvalidArgumentException(sprintf('The UBLExtension property can only contain items of type \Novadan\Uyumsoft\StructType\UBLExtensionType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->UBLExtension[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Novadan\Uyumsoft\StructType\UBLExtensionType|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Novadan\Uyumsoft\StructType\UBLExtensionType|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Novadan\Uyumsoft\StructType\UBLExtensionType|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Novadan\Uyumsoft\StructType\UBLExtensionType|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Novadan\Uyumsoft\StructType\UBLExtensionType|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string UBLExtension
     */
    public function getAttributeName()
    {
        return 'UBLExtension';
    }
}
