<?php

namespace Novadan\Uyumsoft\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Get ServiceType
 * @subpackage Services
 */
class Get extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GetSystemDate
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetSystemDate $parameters
     * @return \Novadan\Uyumsoft\StructType\GetSystemDateResponse|bool
     */
    public function GetSystemDate(\Novadan\Uyumsoft\StructType\GetSystemDate $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetSystemDate($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetSystemDateWithFormat
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetSystemDateWithFormat $parameters
     * @return \Novadan\Uyumsoft\StructType\GetSystemDateWithFormatResponse|bool
     */
    public function GetSystemDateWithFormat(\Novadan\Uyumsoft\StructType\GetSystemDateWithFormat $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetSystemDateWithFormat($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetEInvoiceUsers
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetEInvoiceUsers $parameters
     * @return \Novadan\Uyumsoft\StructType\GetEInvoiceUsersResponse|bool
     */
    public function GetEInvoiceUsers(\Novadan\Uyumsoft\StructType\GetEInvoiceUsers $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetEInvoiceUsers($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetUserAliasses
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetUserAliasses $parameters
     * @return \Novadan\Uyumsoft\StructType\GetUserAliassesResponse|bool
     */
    public function GetUserAliasses(\Novadan\Uyumsoft\StructType\GetUserAliasses $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetUserAliasses($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetXsltView
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetXsltView $parameters
     * @return \Novadan\Uyumsoft\StructType\GetXsltViewResponse|bool
     */
    public function GetXsltView(\Novadan\Uyumsoft\StructType\GetXsltView $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetXsltView($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetInboxInvoices
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetInboxInvoices $parameters
     * @return \Novadan\Uyumsoft\StructType\GetInboxInvoicesResponse|bool
     */
    public function GetInboxInvoices(\Novadan\Uyumsoft\StructType\GetInboxInvoices $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetInboxInvoices($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetInboxInvoiceList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetInboxInvoiceList $parameters
     * @return \Novadan\Uyumsoft\StructType\GetInboxInvoiceListResponse|bool
     */
    public function GetInboxInvoiceList(\Novadan\Uyumsoft\StructType\GetInboxInvoiceList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetInboxInvoiceList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetInboxInvoice
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetInboxInvoice $parameters
     * @return \Novadan\Uyumsoft\StructType\GetInboxInvoiceResponse|bool
     */
    public function GetInboxInvoice(\Novadan\Uyumsoft\StructType\GetInboxInvoice $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetInboxInvoice($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetOutboxInvoices
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetOutboxInvoices $parameters
     * @return \Novadan\Uyumsoft\StructType\GetOutboxInvoicesResponse|bool
     */
    public function GetOutboxInvoices(\Novadan\Uyumsoft\StructType\GetOutboxInvoices $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetOutboxInvoices($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetOutboxInvoiceList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetOutboxInvoiceList $parameters
     * @return \Novadan\Uyumsoft\StructType\GetOutboxInvoiceListResponse|bool
     */
    public function GetOutboxInvoiceList(\Novadan\Uyumsoft\StructType\GetOutboxInvoiceList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetOutboxInvoiceList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetOutboxInvoice
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetOutboxInvoice $parameters
     * @return \Novadan\Uyumsoft\StructType\GetOutboxInvoiceResponse|bool
     */
    public function GetOutboxInvoice(\Novadan\Uyumsoft\StructType\GetOutboxInvoice $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetOutboxInvoice($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetOutboxInvoicesData
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetOutboxInvoicesData $parameters
     * @return \Novadan\Uyumsoft\StructType\GetOutboxInvoicesDataResponse|bool
     */
    public function GetOutboxInvoicesData(\Novadan\Uyumsoft\StructType\GetOutboxInvoicesData $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetOutboxInvoicesData($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetOutboxInvoiceData
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetOutboxInvoiceData $parameters
     * @return \Novadan\Uyumsoft\StructType\GetOutboxInvoiceDataResponse|bool
     */
    public function GetOutboxInvoiceData(\Novadan\Uyumsoft\StructType\GetOutboxInvoiceData $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetOutboxInvoiceData($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetInboxInvoicesData
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetInboxInvoicesData $parameters
     * @return \Novadan\Uyumsoft\StructType\GetInboxInvoicesDataResponse|bool
     */
    public function GetInboxInvoicesData(\Novadan\Uyumsoft\StructType\GetInboxInvoicesData $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetInboxInvoicesData($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetInboxInvoiceData
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetInboxInvoiceData $parameters
     * @return \Novadan\Uyumsoft\StructType\GetInboxInvoiceDataResponse|bool
     */
    public function GetInboxInvoiceData(\Novadan\Uyumsoft\StructType\GetInboxInvoiceData $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetInboxInvoiceData($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetInboxInvoiceView
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetInboxInvoiceView $parameters
     * @return \Novadan\Uyumsoft\StructType\GetInboxInvoiceViewResponse|bool
     */
    public function GetInboxInvoiceView(\Novadan\Uyumsoft\StructType\GetInboxInvoiceView $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetInboxInvoiceView($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetOutboxInvoiceView
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetOutboxInvoiceView $parameters
     * @return \Novadan\Uyumsoft\StructType\GetOutboxInvoiceViewResponse|bool
     */
    public function GetOutboxInvoiceView(\Novadan\Uyumsoft\StructType\GetOutboxInvoiceView $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetOutboxInvoiceView($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetOutboxInvoiceResponseView
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetOutboxInvoiceResponseView $parameters
     * @return \Novadan\Uyumsoft\StructType\GetOutboxInvoiceResponseViewResponse|bool
     */
    public function GetOutboxInvoiceResponseView(\Novadan\Uyumsoft\StructType\GetOutboxInvoiceResponseView $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetOutboxInvoiceResponseView($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetInboxInvoiceStatusWithLogs
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetInboxInvoiceStatusWithLogs $parameters
     * @return \Novadan\Uyumsoft\StructType\GetInboxInvoiceStatusWithLogsResponse|bool
     */
    public function GetInboxInvoiceStatusWithLogs(\Novadan\Uyumsoft\StructType\GetInboxInvoiceStatusWithLogs $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetInboxInvoiceStatusWithLogs($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetOutboxInvoiceStatusWithLogs
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetOutboxInvoiceStatusWithLogs $parameters
     * @return \Novadan\Uyumsoft\StructType\GetOutboxInvoiceStatusWithLogsResponse|bool
     */
    public function GetOutboxInvoiceStatusWithLogs(\Novadan\Uyumsoft\StructType\GetOutboxInvoiceStatusWithLogs $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetOutboxInvoiceStatusWithLogs($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetInboxInvoicePdf
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetInboxInvoicePdf $parameters
     * @return \Novadan\Uyumsoft\StructType\GetInboxInvoicePdfResponse|bool
     */
    public function GetInboxInvoicePdf(\Novadan\Uyumsoft\StructType\GetInboxInvoicePdf $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetInboxInvoicePdf($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetOutboxInvoicePdf
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetOutboxInvoicePdf $parameters
     * @return \Novadan\Uyumsoft\StructType\GetOutboxInvoicePdfResponse|bool
     */
    public function GetOutboxInvoicePdf(\Novadan\Uyumsoft\StructType\GetOutboxInvoicePdf $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetOutboxInvoicePdf($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetSystemUsersCompressedList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetSystemUsersCompressedList $parameters
     * @return \Novadan\Uyumsoft\StructType\GetSystemUsersCompressedListResponse|bool
     */
    public function GetSystemUsersCompressedList(\Novadan\Uyumsoft\StructType\GetSystemUsersCompressedList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetSystemUsersCompressedList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetSystemUsersCompressedListOld
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetSystemUsersCompressedListOld $parameters
     * @return \Novadan\Uyumsoft\StructType\GetSystemUsersCompressedListOldResponse|bool
     */
    public function GetSystemUsersCompressedListOld(\Novadan\Uyumsoft\StructType\GetSystemUsersCompressedListOld $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetSystemUsersCompressedListOld($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetInvoiceEnvelope
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetInvoiceEnvelope $parameters
     * @return \Novadan\Uyumsoft\StructType\GetInvoiceEnvelopeResponse|bool
     */
    public function GetInvoiceEnvelope(\Novadan\Uyumsoft\StructType\GetInvoiceEnvelope $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetInvoiceEnvelope($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GetSummaryReport
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Novadan\Uyumsoft\StructType\GetSummaryReport $parameters
     * @return \Novadan\Uyumsoft\StructType\GetSummaryReportResponse|bool
     */
    public function GetSummaryReport(\Novadan\Uyumsoft\StructType\GetSummaryReport $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GetSummaryReport($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \Novadan\Uyumsoft\StructType\GetEInvoiceUsersResponse|\Novadan\Uyumsoft\StructType\GetInboxInvoiceDataResponse|\Novadan\Uyumsoft\StructType\GetInboxInvoiceListResponse|\Novadan\Uyumsoft\StructType\GetInboxInvoicePdfResponse|\Novadan\Uyumsoft\StructType\GetInboxInvoiceResponse|\Novadan\Uyumsoft\StructType\GetInboxInvoicesDataResponse|\Novadan\Uyumsoft\StructType\GetInboxInvoicesResponse|\Novadan\Uyumsoft\StructType\GetInboxInvoiceStatusWithLogsResponse|\Novadan\Uyumsoft\StructType\GetInboxInvoiceViewResponse|\Novadan\Uyumsoft\StructType\GetInvoiceEnvelopeResponse|\Novadan\Uyumsoft\StructType\GetOutboxInvoiceDataResponse|\Novadan\Uyumsoft\StructType\GetOutboxInvoiceListResponse|\Novadan\Uyumsoft\StructType\GetOutboxInvoicePdfResponse|\Novadan\Uyumsoft\StructType\GetOutboxInvoiceResponse|\Novadan\Uyumsoft\StructType\GetOutboxInvoiceResponseViewResponse|\Novadan\Uyumsoft\StructType\GetOutboxInvoicesDataResponse|\Novadan\Uyumsoft\StructType\GetOutboxInvoicesResponse|\Novadan\Uyumsoft\StructType\GetOutboxInvoiceStatusWithLogsResponse|\Novadan\Uyumsoft\StructType\GetOutboxInvoiceViewResponse|\Novadan\Uyumsoft\StructType\GetSummaryReportResponse|\Novadan\Uyumsoft\StructType\GetSystemDateResponse|\Novadan\Uyumsoft\StructType\GetSystemDateWithFormatResponse|\Novadan\Uyumsoft\StructType\GetSystemUsersCompressedListOldResponse|\Novadan\Uyumsoft\StructType\GetSystemUsersCompressedListResponse|\Novadan\Uyumsoft\StructType\GetUserAliassesResponse|\Novadan\Uyumsoft\StructType\GetXsltViewResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
