<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BillingReferenceLineType StructType
 * @subpackage Structs
 */
class BillingReferenceLineType extends AbstractStructBase
{
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q72:ID
     * @var \Novadan\Uyumsoft\StructType\IDType
     */
    public $ID;
    /**
     * The Amount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q73:Amount
     * @var \Novadan\Uyumsoft\StructType\AmountType
     */
    public $Amount;
    /**
     * The AllowanceCharge
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\AllowanceChargeType[]
     */
    public $AllowanceCharge;
    /**
     * Constructor method for BillingReferenceLineType
     * @uses BillingReferenceLineType::setID()
     * @uses BillingReferenceLineType::setAmount()
     * @uses BillingReferenceLineType::setAllowanceCharge()
     * @param \Novadan\Uyumsoft\StructType\IDType $iD
     * @param \Novadan\Uyumsoft\StructType\AmountType $amount
     * @param \Novadan\Uyumsoft\StructType\AllowanceChargeType[] $allowanceCharge
     */
    public function __construct(\Novadan\Uyumsoft\StructType\IDType $iD = null, \Novadan\Uyumsoft\StructType\AmountType $amount = null, array $allowanceCharge = array())
    {
        $this
            ->setID($iD)
            ->setAmount($amount)
            ->setAllowanceCharge($allowanceCharge);
    }
    /**
     * Get ID value
     * @return \Novadan\Uyumsoft\StructType\IDType|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param \Novadan\Uyumsoft\StructType\IDType $iD
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceLineType
     */
    public function setID(\Novadan\Uyumsoft\StructType\IDType $iD = null)
    {
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get Amount value
     * @return \Novadan\Uyumsoft\StructType\AmountType|null
     */
    public function getAmount()
    {
        return $this->Amount;
    }
    /**
     * Set Amount value
     * @param \Novadan\Uyumsoft\StructType\AmountType $amount
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceLineType
     */
    public function setAmount(\Novadan\Uyumsoft\StructType\AmountType $amount = null)
    {
        $this->Amount = $amount;
        return $this;
    }
    /**
     * Get AllowanceCharge value
     * @return \Novadan\Uyumsoft\StructType\AllowanceChargeType[]|null
     */
    public function getAllowanceCharge()
    {
        return $this->AllowanceCharge;
    }
    /**
     * This method is responsible for validating the values passed to the setAllowanceCharge method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAllowanceCharge method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAllowanceChargeForArrayConstraintsFromSetAllowanceCharge(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $billingReferenceLineTypeAllowanceChargeItem) {
            // validation for constraint: itemType
            if (!$billingReferenceLineTypeAllowanceChargeItem instanceof \Novadan\Uyumsoft\StructType\AllowanceChargeType) {
                $invalidValues[] = is_object($billingReferenceLineTypeAllowanceChargeItem) ? get_class($billingReferenceLineTypeAllowanceChargeItem) : sprintf('%s(%s)', gettype($billingReferenceLineTypeAllowanceChargeItem), var_export($billingReferenceLineTypeAllowanceChargeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The AllowanceCharge property can only contain items of type \Novadan\Uyumsoft\StructType\AllowanceChargeType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set AllowanceCharge value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\AllowanceChargeType[] $allowanceCharge
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceLineType
     */
    public function setAllowanceCharge(array $allowanceCharge = array())
    {
        // validation for constraint: array
        if ('' !== ($allowanceChargeArrayErrorMessage = self::validateAllowanceChargeForArrayConstraintsFromSetAllowanceCharge($allowanceCharge))) {
            throw new \InvalidArgumentException($allowanceChargeArrayErrorMessage, __LINE__);
        }
        $this->AllowanceCharge = $allowanceCharge;
        return $this;
    }
    /**
     * Add item to AllowanceCharge value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\AllowanceChargeType $item
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceLineType
     */
    public function addToAllowanceCharge(\Novadan\Uyumsoft\StructType\AllowanceChargeType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\AllowanceChargeType) {
            throw new \InvalidArgumentException(sprintf('The AllowanceCharge property can only contain items of type \Novadan\Uyumsoft\StructType\AllowanceChargeType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->AllowanceCharge[] = $item;
        return $this;
    }
}
