<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BillingReferenceType StructType
 * @subpackage Structs
 */
class BillingReferenceType extends AbstractStructBase
{
    /**
     * The InvoiceDocumentReference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\DocumentReferenceType
     */
    public $InvoiceDocumentReference;
    /**
     * The SelfBilledInvoiceDocumentReference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\DocumentReferenceType
     */
    public $SelfBilledInvoiceDocumentReference;
    /**
     * The CreditNoteDocumentReference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\DocumentReferenceType
     */
    public $CreditNoteDocumentReference;
    /**
     * The SelfBilledCreditNoteDocumentReference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\DocumentReferenceType
     */
    public $SelfBilledCreditNoteDocumentReference;
    /**
     * The DebitNoteDocumentReference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\DocumentReferenceType
     */
    public $DebitNoteDocumentReference;
    /**
     * The ReminderDocumentReference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\DocumentReferenceType
     */
    public $ReminderDocumentReference;
    /**
     * The AdditionalDocumentReference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\DocumentReferenceType
     */
    public $AdditionalDocumentReference;
    /**
     * The BillingReferenceLine
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\BillingReferenceLineType[]
     */
    public $BillingReferenceLine;
    /**
     * Constructor method for BillingReferenceType
     * @uses BillingReferenceType::setInvoiceDocumentReference()
     * @uses BillingReferenceType::setSelfBilledInvoiceDocumentReference()
     * @uses BillingReferenceType::setCreditNoteDocumentReference()
     * @uses BillingReferenceType::setSelfBilledCreditNoteDocumentReference()
     * @uses BillingReferenceType::setDebitNoteDocumentReference()
     * @uses BillingReferenceType::setReminderDocumentReference()
     * @uses BillingReferenceType::setAdditionalDocumentReference()
     * @uses BillingReferenceType::setBillingReferenceLine()
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $invoiceDocumentReference
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $selfBilledInvoiceDocumentReference
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $creditNoteDocumentReference
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $selfBilledCreditNoteDocumentReference
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $debitNoteDocumentReference
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $reminderDocumentReference
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $additionalDocumentReference
     * @param \Novadan\Uyumsoft\StructType\BillingReferenceLineType[] $billingReferenceLine
     */
    public function __construct(\Novadan\Uyumsoft\StructType\DocumentReferenceType $invoiceDocumentReference = null, \Novadan\Uyumsoft\StructType\DocumentReferenceType $selfBilledInvoiceDocumentReference = null, \Novadan\Uyumsoft\StructType\DocumentReferenceType $creditNoteDocumentReference = null, \Novadan\Uyumsoft\StructType\DocumentReferenceType $selfBilledCreditNoteDocumentReference = null, \Novadan\Uyumsoft\StructType\DocumentReferenceType $debitNoteDocumentReference = null, \Novadan\Uyumsoft\StructType\DocumentReferenceType $reminderDocumentReference = null, \Novadan\Uyumsoft\StructType\DocumentReferenceType $additionalDocumentReference = null, array $billingReferenceLine = array())
    {
        $this
            ->setInvoiceDocumentReference($invoiceDocumentReference)
            ->setSelfBilledInvoiceDocumentReference($selfBilledInvoiceDocumentReference)
            ->setCreditNoteDocumentReference($creditNoteDocumentReference)
            ->setSelfBilledCreditNoteDocumentReference($selfBilledCreditNoteDocumentReference)
            ->setDebitNoteDocumentReference($debitNoteDocumentReference)
            ->setReminderDocumentReference($reminderDocumentReference)
            ->setAdditionalDocumentReference($additionalDocumentReference)
            ->setBillingReferenceLine($billingReferenceLine);
    }
    /**
     * Get InvoiceDocumentReference value
     * @return \Novadan\Uyumsoft\StructType\DocumentReferenceType|null
     */
    public function getInvoiceDocumentReference()
    {
        return $this->InvoiceDocumentReference;
    }
    /**
     * Set InvoiceDocumentReference value
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $invoiceDocumentReference
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceType
     */
    public function setInvoiceDocumentReference(\Novadan\Uyumsoft\StructType\DocumentReferenceType $invoiceDocumentReference = null)
    {
        $this->InvoiceDocumentReference = $invoiceDocumentReference;
        return $this;
    }
    /**
     * Get SelfBilledInvoiceDocumentReference value
     * @return \Novadan\Uyumsoft\StructType\DocumentReferenceType|null
     */
    public function getSelfBilledInvoiceDocumentReference()
    {
        return $this->SelfBilledInvoiceDocumentReference;
    }
    /**
     * Set SelfBilledInvoiceDocumentReference value
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $selfBilledInvoiceDocumentReference
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceType
     */
    public function setSelfBilledInvoiceDocumentReference(\Novadan\Uyumsoft\StructType\DocumentReferenceType $selfBilledInvoiceDocumentReference = null)
    {
        $this->SelfBilledInvoiceDocumentReference = $selfBilledInvoiceDocumentReference;
        return $this;
    }
    /**
     * Get CreditNoteDocumentReference value
     * @return \Novadan\Uyumsoft\StructType\DocumentReferenceType|null
     */
    public function getCreditNoteDocumentReference()
    {
        return $this->CreditNoteDocumentReference;
    }
    /**
     * Set CreditNoteDocumentReference value
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $creditNoteDocumentReference
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceType
     */
    public function setCreditNoteDocumentReference(\Novadan\Uyumsoft\StructType\DocumentReferenceType $creditNoteDocumentReference = null)
    {
        $this->CreditNoteDocumentReference = $creditNoteDocumentReference;
        return $this;
    }
    /**
     * Get SelfBilledCreditNoteDocumentReference value
     * @return \Novadan\Uyumsoft\StructType\DocumentReferenceType|null
     */
    public function getSelfBilledCreditNoteDocumentReference()
    {
        return $this->SelfBilledCreditNoteDocumentReference;
    }
    /**
     * Set SelfBilledCreditNoteDocumentReference value
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $selfBilledCreditNoteDocumentReference
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceType
     */
    public function setSelfBilledCreditNoteDocumentReference(\Novadan\Uyumsoft\StructType\DocumentReferenceType $selfBilledCreditNoteDocumentReference = null)
    {
        $this->SelfBilledCreditNoteDocumentReference = $selfBilledCreditNoteDocumentReference;
        return $this;
    }
    /**
     * Get DebitNoteDocumentReference value
     * @return \Novadan\Uyumsoft\StructType\DocumentReferenceType|null
     */
    public function getDebitNoteDocumentReference()
    {
        return $this->DebitNoteDocumentReference;
    }
    /**
     * Set DebitNoteDocumentReference value
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $debitNoteDocumentReference
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceType
     */
    public function setDebitNoteDocumentReference(\Novadan\Uyumsoft\StructType\DocumentReferenceType $debitNoteDocumentReference = null)
    {
        $this->DebitNoteDocumentReference = $debitNoteDocumentReference;
        return $this;
    }
    /**
     * Get ReminderDocumentReference value
     * @return \Novadan\Uyumsoft\StructType\DocumentReferenceType|null
     */
    public function getReminderDocumentReference()
    {
        return $this->ReminderDocumentReference;
    }
    /**
     * Set ReminderDocumentReference value
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $reminderDocumentReference
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceType
     */
    public function setReminderDocumentReference(\Novadan\Uyumsoft\StructType\DocumentReferenceType $reminderDocumentReference = null)
    {
        $this->ReminderDocumentReference = $reminderDocumentReference;
        return $this;
    }
    /**
     * Get AdditionalDocumentReference value
     * @return \Novadan\Uyumsoft\StructType\DocumentReferenceType|null
     */
    public function getAdditionalDocumentReference()
    {
        return $this->AdditionalDocumentReference;
    }
    /**
     * Set AdditionalDocumentReference value
     * @param \Novadan\Uyumsoft\StructType\DocumentReferenceType $additionalDocumentReference
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceType
     */
    public function setAdditionalDocumentReference(\Novadan\Uyumsoft\StructType\DocumentReferenceType $additionalDocumentReference = null)
    {
        $this->AdditionalDocumentReference = $additionalDocumentReference;
        return $this;
    }
    /**
     * Get BillingReferenceLine value
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceLineType[]|null
     */
    public function getBillingReferenceLine()
    {
        return $this->BillingReferenceLine;
    }
    /**
     * This method is responsible for validating the values passed to the setBillingReferenceLine method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBillingReferenceLine method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBillingReferenceLineForArrayConstraintsFromSetBillingReferenceLine(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $billingReferenceTypeBillingReferenceLineItem) {
            // validation for constraint: itemType
            if (!$billingReferenceTypeBillingReferenceLineItem instanceof \Novadan\Uyumsoft\StructType\BillingReferenceLineType) {
                $invalidValues[] = is_object($billingReferenceTypeBillingReferenceLineItem) ? get_class($billingReferenceTypeBillingReferenceLineItem) : sprintf('%s(%s)', gettype($billingReferenceTypeBillingReferenceLineItem), var_export($billingReferenceTypeBillingReferenceLineItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The BillingReferenceLine property can only contain items of type \Novadan\Uyumsoft\StructType\BillingReferenceLineType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set BillingReferenceLine value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\BillingReferenceLineType[] $billingReferenceLine
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceType
     */
    public function setBillingReferenceLine(array $billingReferenceLine = array())
    {
        // validation for constraint: array
        if ('' !== ($billingReferenceLineArrayErrorMessage = self::validateBillingReferenceLineForArrayConstraintsFromSetBillingReferenceLine($billingReferenceLine))) {
            throw new \InvalidArgumentException($billingReferenceLineArrayErrorMessage, __LINE__);
        }
        $this->BillingReferenceLine = $billingReferenceLine;
        return $this;
    }
    /**
     * Add item to BillingReferenceLine value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\BillingReferenceLineType $item
     * @return \Novadan\Uyumsoft\StructType\BillingReferenceType
     */
    public function addToBillingReferenceLine(\Novadan\Uyumsoft\StructType\BillingReferenceLineType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\BillingReferenceLineType) {
            throw new \InvalidArgumentException(sprintf('The BillingReferenceLine property can only contain items of type \Novadan\Uyumsoft\StructType\BillingReferenceLineType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->BillingReferenceLine[] = $item;
        return $this;
    }
}
