<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomerInfo StructType
 * @subpackage Structs
 */
class CustomerInfo extends AbstractStructBase
{
    /**
     * The VknTckn
     * @var string
     */
    public $VknTckn;
    /**
     * The Alias
     * @var string
     */
    public $Alias;
    /**
     * The Title
     * @var string
     */
    public $Title;
    /**
     * Constructor method for CustomerInfo
     * @uses CustomerInfo::setVknTckn()
     * @uses CustomerInfo::setAlias()
     * @uses CustomerInfo::setTitle()
     * @param string $vknTckn
     * @param string $alias
     * @param string $title
     */
    public function __construct($vknTckn = null, $alias = null, $title = null)
    {
        $this
            ->setVknTckn($vknTckn)
            ->setAlias($alias)
            ->setTitle($title);
    }
    /**
     * Get VknTckn value
     * @return string|null
     */
    public function getVknTckn()
    {
        return $this->VknTckn;
    }
    /**
     * Set VknTckn value
     * @param string $vknTckn
     * @return \Novadan\Uyumsoft\StructType\CustomerInfo
     */
    public function setVknTckn($vknTckn = null)
    {
        // validation for constraint: string
        if (!is_null($vknTckn) && !is_string($vknTckn)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vknTckn, true), gettype($vknTckn)), __LINE__);
        }
        $this->VknTckn = $vknTckn;
        return $this;
    }
    /**
     * Get Alias value
     * @return string|null
     */
    public function getAlias()
    {
        return $this->Alias;
    }
    /**
     * Set Alias value
     * @param string $alias
     * @return \Novadan\Uyumsoft\StructType\CustomerInfo
     */
    public function setAlias($alias = null)
    {
        // validation for constraint: string
        if (!is_null($alias) && !is_string($alias)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($alias, true), gettype($alias)), __LINE__);
        }
        $this->Alias = $alias;
        return $this;
    }
    /**
     * Get Title value
     * @return string|null
     */
    public function getTitle()
    {
        return $this->Title;
    }
    /**
     * Set Title value
     * @param string $title
     * @return \Novadan\Uyumsoft\StructType\CustomerInfo
     */
    public function setTitle($title = null)
    {
        // validation for constraint: string
        if (!is_null($title) && !is_string($title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($title, true), gettype($title)), __LINE__);
        }
        $this->Title = $title;
        return $this;
    }
}
