<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomerServiceInformation StructType
 * @subpackage Structs
 */
class CustomerServiceInformation extends AbstractStructBase
{
    /**
     * The HasEarchive
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $HasEarchive;
    /**
     * The HasEInvoice
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $HasEInvoice;
    /**
     * The HasELedger
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $HasELedger;
    /**
     * The HasETicket
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $HasETicket;
    /**
     * The HasVoucher
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $HasVoucher;
    /**
     * The HasProducerReceipt
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $HasProducerReceipt;
    /**
     * The HasEDespatch
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $HasEDespatch;
    /**
     * The HasEGuestCheck
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $HasEGuestCheck;
    /**
     * The HasEForeignExchange
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $HasEForeignExchange;
    /**
     * The HasEGibArchive
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $HasEGibArchive;
    /**
     * Constructor method for CustomerServiceInformation
     * @uses CustomerServiceInformation::setHasEarchive()
     * @uses CustomerServiceInformation::setHasEInvoice()
     * @uses CustomerServiceInformation::setHasELedger()
     * @uses CustomerServiceInformation::setHasETicket()
     * @uses CustomerServiceInformation::setHasVoucher()
     * @uses CustomerServiceInformation::setHasProducerReceipt()
     * @uses CustomerServiceInformation::setHasEDespatch()
     * @uses CustomerServiceInformation::setHasEGuestCheck()
     * @uses CustomerServiceInformation::setHasEForeignExchange()
     * @uses CustomerServiceInformation::setHasEGibArchive()
     * @param bool $hasEarchive
     * @param bool $hasEInvoice
     * @param bool $hasELedger
     * @param bool $hasETicket
     * @param bool $hasVoucher
     * @param bool $hasProducerReceipt
     * @param bool $hasEDespatch
     * @param bool $hasEGuestCheck
     * @param bool $hasEForeignExchange
     * @param bool $hasEGibArchive
     */
    public function __construct($hasEarchive = null, $hasEInvoice = null, $hasELedger = null, $hasETicket = null, $hasVoucher = null, $hasProducerReceipt = null, $hasEDespatch = null, $hasEGuestCheck = null, $hasEForeignExchange = null, $hasEGibArchive = null)
    {
        $this
            ->setHasEarchive($hasEarchive)
            ->setHasEInvoice($hasEInvoice)
            ->setHasELedger($hasELedger)
            ->setHasETicket($hasETicket)
            ->setHasVoucher($hasVoucher)
            ->setHasProducerReceipt($hasProducerReceipt)
            ->setHasEDespatch($hasEDespatch)
            ->setHasEGuestCheck($hasEGuestCheck)
            ->setHasEForeignExchange($hasEForeignExchange)
            ->setHasEGibArchive($hasEGibArchive);
    }
    /**
     * Get HasEarchive value
     * @return bool
     */
    public function getHasEarchive()
    {
        return $this->HasEarchive;
    }
    /**
     * Set HasEarchive value
     * @param bool $hasEarchive
     * @return \Novadan\Uyumsoft\StructType\CustomerServiceInformation
     */
    public function setHasEarchive($hasEarchive = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasEarchive) && !is_bool($hasEarchive)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasEarchive, true), gettype($hasEarchive)), __LINE__);
        }
        $this->HasEarchive = $hasEarchive;
        return $this;
    }
    /**
     * Get HasEInvoice value
     * @return bool
     */
    public function getHasEInvoice()
    {
        return $this->HasEInvoice;
    }
    /**
     * Set HasEInvoice value
     * @param bool $hasEInvoice
     * @return \Novadan\Uyumsoft\StructType\CustomerServiceInformation
     */
    public function setHasEInvoice($hasEInvoice = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasEInvoice) && !is_bool($hasEInvoice)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasEInvoice, true), gettype($hasEInvoice)), __LINE__);
        }
        $this->HasEInvoice = $hasEInvoice;
        return $this;
    }
    /**
     * Get HasELedger value
     * @return bool
     */
    public function getHasELedger()
    {
        return $this->HasELedger;
    }
    /**
     * Set HasELedger value
     * @param bool $hasELedger
     * @return \Novadan\Uyumsoft\StructType\CustomerServiceInformation
     */
    public function setHasELedger($hasELedger = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasELedger) && !is_bool($hasELedger)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasELedger, true), gettype($hasELedger)), __LINE__);
        }
        $this->HasELedger = $hasELedger;
        return $this;
    }
    /**
     * Get HasETicket value
     * @return bool
     */
    public function getHasETicket()
    {
        return $this->HasETicket;
    }
    /**
     * Set HasETicket value
     * @param bool $hasETicket
     * @return \Novadan\Uyumsoft\StructType\CustomerServiceInformation
     */
    public function setHasETicket($hasETicket = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasETicket) && !is_bool($hasETicket)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasETicket, true), gettype($hasETicket)), __LINE__);
        }
        $this->HasETicket = $hasETicket;
        return $this;
    }
    /**
     * Get HasVoucher value
     * @return bool
     */
    public function getHasVoucher()
    {
        return $this->HasVoucher;
    }
    /**
     * Set HasVoucher value
     * @param bool $hasVoucher
     * @return \Novadan\Uyumsoft\StructType\CustomerServiceInformation
     */
    public function setHasVoucher($hasVoucher = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasVoucher) && !is_bool($hasVoucher)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasVoucher, true), gettype($hasVoucher)), __LINE__);
        }
        $this->HasVoucher = $hasVoucher;
        return $this;
    }
    /**
     * Get HasProducerReceipt value
     * @return bool
     */
    public function getHasProducerReceipt()
    {
        return $this->HasProducerReceipt;
    }
    /**
     * Set HasProducerReceipt value
     * @param bool $hasProducerReceipt
     * @return \Novadan\Uyumsoft\StructType\CustomerServiceInformation
     */
    public function setHasProducerReceipt($hasProducerReceipt = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasProducerReceipt) && !is_bool($hasProducerReceipt)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasProducerReceipt, true), gettype($hasProducerReceipt)), __LINE__);
        }
        $this->HasProducerReceipt = $hasProducerReceipt;
        return $this;
    }
    /**
     * Get HasEDespatch value
     * @return bool
     */
    public function getHasEDespatch()
    {
        return $this->HasEDespatch;
    }
    /**
     * Set HasEDespatch value
     * @param bool $hasEDespatch
     * @return \Novadan\Uyumsoft\StructType\CustomerServiceInformation
     */
    public function setHasEDespatch($hasEDespatch = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasEDespatch) && !is_bool($hasEDespatch)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasEDespatch, true), gettype($hasEDespatch)), __LINE__);
        }
        $this->HasEDespatch = $hasEDespatch;
        return $this;
    }
    /**
     * Get HasEGuestCheck value
     * @return bool
     */
    public function getHasEGuestCheck()
    {
        return $this->HasEGuestCheck;
    }
    /**
     * Set HasEGuestCheck value
     * @param bool $hasEGuestCheck
     * @return \Novadan\Uyumsoft\StructType\CustomerServiceInformation
     */
    public function setHasEGuestCheck($hasEGuestCheck = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasEGuestCheck) && !is_bool($hasEGuestCheck)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasEGuestCheck, true), gettype($hasEGuestCheck)), __LINE__);
        }
        $this->HasEGuestCheck = $hasEGuestCheck;
        return $this;
    }
    /**
     * Get HasEForeignExchange value
     * @return bool
     */
    public function getHasEForeignExchange()
    {
        return $this->HasEForeignExchange;
    }
    /**
     * Set HasEForeignExchange value
     * @param bool $hasEForeignExchange
     * @return \Novadan\Uyumsoft\StructType\CustomerServiceInformation
     */
    public function setHasEForeignExchange($hasEForeignExchange = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasEForeignExchange) && !is_bool($hasEForeignExchange)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasEForeignExchange, true), gettype($hasEForeignExchange)), __LINE__);
        }
        $this->HasEForeignExchange = $hasEForeignExchange;
        return $this;
    }
    /**
     * Get HasEGibArchive value
     * @return bool
     */
    public function getHasEGibArchive()
    {
        return $this->HasEGibArchive;
    }
    /**
     * Set HasEGibArchive value
     * @param bool $hasEGibArchive
     * @return \Novadan\Uyumsoft\StructType\CustomerServiceInformation
     */
    public function setHasEGibArchive($hasEGibArchive = null)
    {
        // validation for constraint: boolean
        if (!is_null($hasEGibArchive) && !is_bool($hasEGibArchive)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($hasEGibArchive, true), gettype($hasEGibArchive)), __LINE__);
        }
        $this->HasEGibArchive = $hasEGibArchive;
        return $this;
    }
}
