<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocumentResponseStatusResponse StructType
 * @subpackage Structs
 */
class DocumentResponseStatusResponse extends Response
{
    /**
     * The Value
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\DocumentResponseStatusInfo[]
     */
    public $Value;
    /**
     * Constructor method for DocumentResponseStatusResponse
     * @uses DocumentResponseStatusResponse::setValue()
     * @param \Novadan\Uyumsoft\StructType\DocumentResponseStatusInfo[] $value
     */
    public function __construct(array $value = array())
    {
        $this
            ->setValue($value);
    }
    /**
     * Get Value value
     * @return \Novadan\Uyumsoft\StructType\DocumentResponseStatusInfo[]|null
     */
    public function getValue()
    {
        return $this->Value;
    }
    /**
     * This method is responsible for validating the values passed to the setValue method
     * This method is willingly generated in order to preserve the one-line inline validation within the setValue method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateValueForArrayConstraintsFromSetValue(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $documentResponseStatusResponseValueItem) {
            // validation for constraint: itemType
            if (!$documentResponseStatusResponseValueItem instanceof \Novadan\Uyumsoft\StructType\DocumentResponseStatusInfo) {
                $invalidValues[] = is_object($documentResponseStatusResponseValueItem) ? get_class($documentResponseStatusResponseValueItem) : sprintf('%s(%s)', gettype($documentResponseStatusResponseValueItem), var_export($documentResponseStatusResponseValueItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Value property can only contain items of type \Novadan\Uyumsoft\StructType\DocumentResponseStatusInfo, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Value value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\DocumentResponseStatusInfo[] $value
     * @return \Novadan\Uyumsoft\StructType\DocumentResponseStatusResponse
     */
    public function setValue(array $value = array())
    {
        // validation for constraint: array
        if ('' !== ($valueArrayErrorMessage = self::validateValueForArrayConstraintsFromSetValue($value))) {
            throw new \InvalidArgumentException($valueArrayErrorMessage, __LINE__);
        }
        $this->Value = $value;
        return $this;
    }
    /**
     * Add item to Value value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\DocumentResponseStatusInfo $item
     * @return \Novadan\Uyumsoft\StructType\DocumentResponseStatusResponse
     */
    public function addToValue(\Novadan\Uyumsoft\StructType\DocumentResponseStatusInfo $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\DocumentResponseStatusInfo) {
            throw new \InvalidArgumentException(sprintf('The Value property can only contain items of type \Novadan\Uyumsoft\StructType\DocumentResponseStatusInfo, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Value[] = $item;
        return $this;
    }
}
