<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FilterablePagedQueryContext StructType
 * @subpackage Structs
 */
class FilterablePagedQueryContext extends PagedQueryContext
{
    /**
     * The Filter
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Filter;
    /**
     * Constructor method for FilterablePagedQueryContext
     * @uses FilterablePagedQueryContext::setFilter()
     * @param string $filter
     */
    public function __construct($filter = null)
    {
        $this
            ->setFilter($filter);
    }
    /**
     * Get Filter value
     * @return string|null
     */
    public function getFilter()
    {
        return $this->Filter;
    }
    /**
     * Set Filter value
     * @param string $filter
     * @return \Novadan\Uyumsoft\StructType\FilterablePagedQueryContext
     */
    public function setFilter($filter = null)
    {
        // validation for constraint: string
        if (!is_null($filter) && !is_string($filter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($filter, true), gettype($filter)), __LINE__);
        }
        $this->Filter = $filter;
        return $this;
    }
}
