<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSummaryReport StructType
 * @subpackage Structs
 */
class GetSummaryReport extends AbstractStructBase
{
    /**
     * The startDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $startDate;
    /**
     * The endDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $endDate;
    /**
     * The userInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\UserInformation
     */
    public $userInfo;
    /**
     * Constructor method for GetSummaryReport
     * @uses GetSummaryReport::setStartDate()
     * @uses GetSummaryReport::setEndDate()
     * @uses GetSummaryReport::setUserInfo()
     * @param string $startDate
     * @param string $endDate
     * @param \Novadan\Uyumsoft\StructType\UserInformation $userInfo
     */
    public function __construct($startDate = null, $endDate = null, \Novadan\Uyumsoft\StructType\UserInformation $userInfo = null)
    {
        $this
            ->setStartDate($startDate)
            ->setEndDate($endDate)
            ->setUserInfo($userInfo);
    }
    /**
     * Get startDate value
     * @return string
     */
    public function getStartDate()
    {
        return $this->startDate;
    }
    /**
     * Set startDate value
     * @param string $startDate
     * @return \Novadan\Uyumsoft\StructType\GetSummaryReport
     */
    public function setStartDate($startDate = null)
    {
        // validation for constraint: string
        if (!is_null($startDate) && !is_string($startDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($startDate, true), gettype($startDate)), __LINE__);
        }
        $this->startDate = $startDate;
        return $this;
    }
    /**
     * Get endDate value
     * @return string
     */
    public function getEndDate()
    {
        return $this->endDate;
    }
    /**
     * Set endDate value
     * @param string $endDate
     * @return \Novadan\Uyumsoft\StructType\GetSummaryReport
     */
    public function setEndDate($endDate = null)
    {
        // validation for constraint: string
        if (!is_null($endDate) && !is_string($endDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($endDate, true), gettype($endDate)), __LINE__);
        }
        $this->endDate = $endDate;
        return $this;
    }
    /**
     * Get userInfo value
     * @return \Novadan\Uyumsoft\StructType\UserInformation|null
     */
    public function getUserInfo()
    {
        return $this->userInfo;
    }
    /**
     * Set userInfo value
     * @param \Novadan\Uyumsoft\StructType\UserInformation $userInfo
     * @return \Novadan\Uyumsoft\StructType\GetSummaryReport
     */
    public function setUserInfo(\Novadan\Uyumsoft\StructType\UserInformation $userInfo = null)
    {
        $this->userInfo = $userInfo;
        return $this;
    }
}
