<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetXsltView StructType
 * @subpackage Structs
 */
class GetXsltView extends AbstractStructBase
{
    /**
     * The type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $type;
    /**
     * The userInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\UserInformation
     */
    public $userInfo;
    /**
     * Constructor method for GetXsltView
     * @uses GetXsltView::setType()
     * @uses GetXsltView::setUserInfo()
     * @param string $type
     * @param \Novadan\Uyumsoft\StructType\UserInformation $userInfo
     */
    public function __construct($type = null, \Novadan\Uyumsoft\StructType\UserInformation $userInfo = null)
    {
        $this
            ->setType($type)
            ->setUserInfo($userInfo);
    }
    /**
     * Get type value
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @uses \Novadan\Uyumsoft\EnumType\XsltViewType::valueIsValid()
     * @uses \Novadan\Uyumsoft\EnumType\XsltViewType::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $type
     * @return \Novadan\Uyumsoft\StructType\GetXsltView
     */
    public function setType($type = null)
    {
        // validation for constraint: enumeration
        if (!\Novadan\Uyumsoft\EnumType\XsltViewType::valueIsValid($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \Novadan\Uyumsoft\EnumType\XsltViewType', is_array($type) ? implode(', ', $type) : var_export($type, true), implode(', ', \Novadan\Uyumsoft\EnumType\XsltViewType::getValidValues())), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get userInfo value
     * @return \Novadan\Uyumsoft\StructType\UserInformation|null
     */
    public function getUserInfo()
    {
        return $this->userInfo;
    }
    /**
     * Set userInfo value
     * @param \Novadan\Uyumsoft\StructType\UserInformation $userInfo
     * @return \Novadan\Uyumsoft\StructType\GetXsltView
     */
    public function setUserInfo(\Novadan\Uyumsoft\StructType\UserInformation $userInfo = null)
    {
        $this->userInfo = $userInfo;
        return $this;
    }
}
