<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InvoiceLineType StructType
 * @subpackage Structs
 */
class InvoiceLineType extends AbstractStructBase
{
    /**
     * The ID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q167:ID
     * @var \Novadan\Uyumsoft\StructType\IDType
     */
    public $ID;
    /**
     * The Note
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - ref: q168:Note
     * @var \Novadan\Uyumsoft\StructType\NoteType[]
     */
    public $Note;
    /**
     * The InvoicedQuantity
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q169:InvoicedQuantity
     * @var \Novadan\Uyumsoft\StructType\InvoicedQuantityType
     */
    public $InvoicedQuantity;
    /**
     * The LineExtensionAmount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q170:LineExtensionAmount
     * @var \Novadan\Uyumsoft\StructType\LineExtensionAmountType
     */
    public $LineExtensionAmount;
    /**
     * The OrderLineReference
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\OrderLineReferenceType[]
     */
    public $OrderLineReference;
    /**
     * The DespatchLineReference
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\LineReferenceType[]
     */
    public $DespatchLineReference;
    /**
     * The ReceiptLineReference
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\LineReferenceType[]
     */
    public $ReceiptLineReference;
    /**
     * The Delivery
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\DeliveryType[]
     */
    public $Delivery;
    /**
     * The AllowanceCharge
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\AllowanceChargeType[]
     */
    public $AllowanceCharge;
    /**
     * The TaxTotal
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\TaxTotalType
     */
    public $TaxTotal;
    /**
     * The WithholdingTaxTotal
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\TaxTotalType[]
     */
    public $WithholdingTaxTotal;
    /**
     * The Item
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\ItemType
     */
    public $Item;
    /**
     * The Price
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\PriceType
     */
    public $Price;
    /**
     * The SubInvoiceLine
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\InvoiceLineType[]
     */
    public $SubInvoiceLine;
    /**
     * Constructor method for InvoiceLineType
     * @uses InvoiceLineType::setID()
     * @uses InvoiceLineType::setNote()
     * @uses InvoiceLineType::setInvoicedQuantity()
     * @uses InvoiceLineType::setLineExtensionAmount()
     * @uses InvoiceLineType::setOrderLineReference()
     * @uses InvoiceLineType::setDespatchLineReference()
     * @uses InvoiceLineType::setReceiptLineReference()
     * @uses InvoiceLineType::setDelivery()
     * @uses InvoiceLineType::setAllowanceCharge()
     * @uses InvoiceLineType::setTaxTotal()
     * @uses InvoiceLineType::setWithholdingTaxTotal()
     * @uses InvoiceLineType::setItem()
     * @uses InvoiceLineType::setPrice()
     * @uses InvoiceLineType::setSubInvoiceLine()
     * @param \Novadan\Uyumsoft\StructType\IDType $iD
     * @param \Novadan\Uyumsoft\StructType\NoteType[] $note
     * @param \Novadan\Uyumsoft\StructType\InvoicedQuantityType $invoicedQuantity
     * @param \Novadan\Uyumsoft\StructType\LineExtensionAmountType $lineExtensionAmount
     * @param \Novadan\Uyumsoft\StructType\OrderLineReferenceType[] $orderLineReference
     * @param \Novadan\Uyumsoft\StructType\LineReferenceType[] $despatchLineReference
     * @param \Novadan\Uyumsoft\StructType\LineReferenceType[] $receiptLineReference
     * @param \Novadan\Uyumsoft\StructType\DeliveryType[] $delivery
     * @param \Novadan\Uyumsoft\StructType\AllowanceChargeType[] $allowanceCharge
     * @param \Novadan\Uyumsoft\StructType\TaxTotalType $taxTotal
     * @param \Novadan\Uyumsoft\StructType\TaxTotalType[] $withholdingTaxTotal
     * @param \Novadan\Uyumsoft\StructType\ItemType $item
     * @param \Novadan\Uyumsoft\StructType\PriceType $price
     * @param \Novadan\Uyumsoft\StructType\InvoiceLineType[] $subInvoiceLine
     */
    public function __construct(\Novadan\Uyumsoft\StructType\IDType $iD = null, array $note = array(), \Novadan\Uyumsoft\StructType\InvoicedQuantityType $invoicedQuantity = null, \Novadan\Uyumsoft\StructType\LineExtensionAmountType $lineExtensionAmount = null, array $orderLineReference = array(), array $despatchLineReference = array(), array $receiptLineReference = array(), array $delivery = array(), array $allowanceCharge = array(), \Novadan\Uyumsoft\StructType\TaxTotalType $taxTotal = null, array $withholdingTaxTotal = array(), \Novadan\Uyumsoft\StructType\ItemType $item = null, \Novadan\Uyumsoft\StructType\PriceType $price = null, array $subInvoiceLine = array())
    {
        $this
            ->setID($iD)
            ->setNote($note)
            ->setInvoicedQuantity($invoicedQuantity)
            ->setLineExtensionAmount($lineExtensionAmount)
            ->setOrderLineReference($orderLineReference)
            ->setDespatchLineReference($despatchLineReference)
            ->setReceiptLineReference($receiptLineReference)
            ->setDelivery($delivery)
            ->setAllowanceCharge($allowanceCharge)
            ->setTaxTotal($taxTotal)
            ->setWithholdingTaxTotal($withholdingTaxTotal)
            ->setItem($item)
            ->setPrice($price)
            ->setSubInvoiceLine($subInvoiceLine);
    }
    /**
     * Get ID value
     * @return \Novadan\Uyumsoft\StructType\IDType|null
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param \Novadan\Uyumsoft\StructType\IDType $iD
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setID(\Novadan\Uyumsoft\StructType\IDType $iD = null)
    {
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get Note value
     * @return \Novadan\Uyumsoft\StructType\NoteType[]|null
     */
    public function getNote()
    {
        return $this->Note;
    }
    /**
     * This method is responsible for validating the values passed to the setNote method
     * This method is willingly generated in order to preserve the one-line inline validation within the setNote method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateNoteForArrayConstraintsFromSetNote(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $invoiceLineTypeNoteItem) {
            // validation for constraint: itemType
            if (!$invoiceLineTypeNoteItem instanceof \Novadan\Uyumsoft\StructType\NoteType) {
                $invalidValues[] = is_object($invoiceLineTypeNoteItem) ? get_class($invoiceLineTypeNoteItem) : sprintf('%s(%s)', gettype($invoiceLineTypeNoteItem), var_export($invoiceLineTypeNoteItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Note property can only contain items of type \Novadan\Uyumsoft\StructType\NoteType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Note value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\NoteType[] $note
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setNote(array $note = array())
    {
        // validation for constraint: array
        if ('' !== ($noteArrayErrorMessage = self::validateNoteForArrayConstraintsFromSetNote($note))) {
            throw new \InvalidArgumentException($noteArrayErrorMessage, __LINE__);
        }
        $this->Note = $note;
        return $this;
    }
    /**
     * Add item to Note value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\NoteType $item
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function addToNote(\Novadan\Uyumsoft\StructType\NoteType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\NoteType) {
            throw new \InvalidArgumentException(sprintf('The Note property can only contain items of type \Novadan\Uyumsoft\StructType\NoteType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Note[] = $item;
        return $this;
    }
    /**
     * Get InvoicedQuantity value
     * @return \Novadan\Uyumsoft\StructType\InvoicedQuantityType|null
     */
    public function getInvoicedQuantity()
    {
        return $this->InvoicedQuantity;
    }
    /**
     * Set InvoicedQuantity value
     * @param \Novadan\Uyumsoft\StructType\InvoicedQuantityType $invoicedQuantity
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setInvoicedQuantity(\Novadan\Uyumsoft\StructType\InvoicedQuantityType $invoicedQuantity = null)
    {
        $this->InvoicedQuantity = $invoicedQuantity;
        return $this;
    }
    /**
     * Get LineExtensionAmount value
     * @return \Novadan\Uyumsoft\StructType\LineExtensionAmountType|null
     */
    public function getLineExtensionAmount()
    {
        return $this->LineExtensionAmount;
    }
    /**
     * Set LineExtensionAmount value
     * @param \Novadan\Uyumsoft\StructType\LineExtensionAmountType $lineExtensionAmount
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setLineExtensionAmount(\Novadan\Uyumsoft\StructType\LineExtensionAmountType $lineExtensionAmount = null)
    {
        $this->LineExtensionAmount = $lineExtensionAmount;
        return $this;
    }
    /**
     * Get OrderLineReference value
     * @return \Novadan\Uyumsoft\StructType\OrderLineReferenceType[]|null
     */
    public function getOrderLineReference()
    {
        return $this->OrderLineReference;
    }
    /**
     * This method is responsible for validating the values passed to the setOrderLineReference method
     * This method is willingly generated in order to preserve the one-line inline validation within the setOrderLineReference method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateOrderLineReferenceForArrayConstraintsFromSetOrderLineReference(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $invoiceLineTypeOrderLineReferenceItem) {
            // validation for constraint: itemType
            if (!$invoiceLineTypeOrderLineReferenceItem instanceof \Novadan\Uyumsoft\StructType\OrderLineReferenceType) {
                $invalidValues[] = is_object($invoiceLineTypeOrderLineReferenceItem) ? get_class($invoiceLineTypeOrderLineReferenceItem) : sprintf('%s(%s)', gettype($invoiceLineTypeOrderLineReferenceItem), var_export($invoiceLineTypeOrderLineReferenceItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The OrderLineReference property can only contain items of type \Novadan\Uyumsoft\StructType\OrderLineReferenceType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set OrderLineReference value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\OrderLineReferenceType[] $orderLineReference
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setOrderLineReference(array $orderLineReference = array())
    {
        // validation for constraint: array
        if ('' !== ($orderLineReferenceArrayErrorMessage = self::validateOrderLineReferenceForArrayConstraintsFromSetOrderLineReference($orderLineReference))) {
            throw new \InvalidArgumentException($orderLineReferenceArrayErrorMessage, __LINE__);
        }
        $this->OrderLineReference = $orderLineReference;
        return $this;
    }
    /**
     * Add item to OrderLineReference value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\OrderLineReferenceType $item
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function addToOrderLineReference(\Novadan\Uyumsoft\StructType\OrderLineReferenceType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\OrderLineReferenceType) {
            throw new \InvalidArgumentException(sprintf('The OrderLineReference property can only contain items of type \Novadan\Uyumsoft\StructType\OrderLineReferenceType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->OrderLineReference[] = $item;
        return $this;
    }
    /**
     * Get DespatchLineReference value
     * @return \Novadan\Uyumsoft\StructType\LineReferenceType[]|null
     */
    public function getDespatchLineReference()
    {
        return $this->DespatchLineReference;
    }
    /**
     * This method is responsible for validating the values passed to the setDespatchLineReference method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDespatchLineReference method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDespatchLineReferenceForArrayConstraintsFromSetDespatchLineReference(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $invoiceLineTypeDespatchLineReferenceItem) {
            // validation for constraint: itemType
            if (!$invoiceLineTypeDespatchLineReferenceItem instanceof \Novadan\Uyumsoft\StructType\LineReferenceType) {
                $invalidValues[] = is_object($invoiceLineTypeDespatchLineReferenceItem) ? get_class($invoiceLineTypeDespatchLineReferenceItem) : sprintf('%s(%s)', gettype($invoiceLineTypeDespatchLineReferenceItem), var_export($invoiceLineTypeDespatchLineReferenceItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DespatchLineReference property can only contain items of type \Novadan\Uyumsoft\StructType\LineReferenceType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DespatchLineReference value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\LineReferenceType[] $despatchLineReference
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setDespatchLineReference(array $despatchLineReference = array())
    {
        // validation for constraint: array
        if ('' !== ($despatchLineReferenceArrayErrorMessage = self::validateDespatchLineReferenceForArrayConstraintsFromSetDespatchLineReference($despatchLineReference))) {
            throw new \InvalidArgumentException($despatchLineReferenceArrayErrorMessage, __LINE__);
        }
        $this->DespatchLineReference = $despatchLineReference;
        return $this;
    }
    /**
     * Add item to DespatchLineReference value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\LineReferenceType $item
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function addToDespatchLineReference(\Novadan\Uyumsoft\StructType\LineReferenceType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\LineReferenceType) {
            throw new \InvalidArgumentException(sprintf('The DespatchLineReference property can only contain items of type \Novadan\Uyumsoft\StructType\LineReferenceType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DespatchLineReference[] = $item;
        return $this;
    }
    /**
     * Get ReceiptLineReference value
     * @return \Novadan\Uyumsoft\StructType\LineReferenceType[]|null
     */
    public function getReceiptLineReference()
    {
        return $this->ReceiptLineReference;
    }
    /**
     * This method is responsible for validating the values passed to the setReceiptLineReference method
     * This method is willingly generated in order to preserve the one-line inline validation within the setReceiptLineReference method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateReceiptLineReferenceForArrayConstraintsFromSetReceiptLineReference(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $invoiceLineTypeReceiptLineReferenceItem) {
            // validation for constraint: itemType
            if (!$invoiceLineTypeReceiptLineReferenceItem instanceof \Novadan\Uyumsoft\StructType\LineReferenceType) {
                $invalidValues[] = is_object($invoiceLineTypeReceiptLineReferenceItem) ? get_class($invoiceLineTypeReceiptLineReferenceItem) : sprintf('%s(%s)', gettype($invoiceLineTypeReceiptLineReferenceItem), var_export($invoiceLineTypeReceiptLineReferenceItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ReceiptLineReference property can only contain items of type \Novadan\Uyumsoft\StructType\LineReferenceType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ReceiptLineReference value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\LineReferenceType[] $receiptLineReference
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setReceiptLineReference(array $receiptLineReference = array())
    {
        // validation for constraint: array
        if ('' !== ($receiptLineReferenceArrayErrorMessage = self::validateReceiptLineReferenceForArrayConstraintsFromSetReceiptLineReference($receiptLineReference))) {
            throw new \InvalidArgumentException($receiptLineReferenceArrayErrorMessage, __LINE__);
        }
        $this->ReceiptLineReference = $receiptLineReference;
        return $this;
    }
    /**
     * Add item to ReceiptLineReference value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\LineReferenceType $item
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function addToReceiptLineReference(\Novadan\Uyumsoft\StructType\LineReferenceType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\LineReferenceType) {
            throw new \InvalidArgumentException(sprintf('The ReceiptLineReference property can only contain items of type \Novadan\Uyumsoft\StructType\LineReferenceType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ReceiptLineReference[] = $item;
        return $this;
    }
    /**
     * Get Delivery value
     * @return \Novadan\Uyumsoft\StructType\DeliveryType[]|null
     */
    public function getDelivery()
    {
        return $this->Delivery;
    }
    /**
     * This method is responsible for validating the values passed to the setDelivery method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDelivery method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDeliveryForArrayConstraintsFromSetDelivery(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $invoiceLineTypeDeliveryItem) {
            // validation for constraint: itemType
            if (!$invoiceLineTypeDeliveryItem instanceof \Novadan\Uyumsoft\StructType\DeliveryType) {
                $invalidValues[] = is_object($invoiceLineTypeDeliveryItem) ? get_class($invoiceLineTypeDeliveryItem) : sprintf('%s(%s)', gettype($invoiceLineTypeDeliveryItem), var_export($invoiceLineTypeDeliveryItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Delivery property can only contain items of type \Novadan\Uyumsoft\StructType\DeliveryType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Delivery value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\DeliveryType[] $delivery
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setDelivery(array $delivery = array())
    {
        // validation for constraint: array
        if ('' !== ($deliveryArrayErrorMessage = self::validateDeliveryForArrayConstraintsFromSetDelivery($delivery))) {
            throw new \InvalidArgumentException($deliveryArrayErrorMessage, __LINE__);
        }
        $this->Delivery = $delivery;
        return $this;
    }
    /**
     * Add item to Delivery value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\DeliveryType $item
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function addToDelivery(\Novadan\Uyumsoft\StructType\DeliveryType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\DeliveryType) {
            throw new \InvalidArgumentException(sprintf('The Delivery property can only contain items of type \Novadan\Uyumsoft\StructType\DeliveryType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Delivery[] = $item;
        return $this;
    }
    /**
     * Get AllowanceCharge value
     * @return \Novadan\Uyumsoft\StructType\AllowanceChargeType[]|null
     */
    public function getAllowanceCharge()
    {
        return $this->AllowanceCharge;
    }
    /**
     * This method is responsible for validating the values passed to the setAllowanceCharge method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAllowanceCharge method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAllowanceChargeForArrayConstraintsFromSetAllowanceCharge(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $invoiceLineTypeAllowanceChargeItem) {
            // validation for constraint: itemType
            if (!$invoiceLineTypeAllowanceChargeItem instanceof \Novadan\Uyumsoft\StructType\AllowanceChargeType) {
                $invalidValues[] = is_object($invoiceLineTypeAllowanceChargeItem) ? get_class($invoiceLineTypeAllowanceChargeItem) : sprintf('%s(%s)', gettype($invoiceLineTypeAllowanceChargeItem), var_export($invoiceLineTypeAllowanceChargeItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The AllowanceCharge property can only contain items of type \Novadan\Uyumsoft\StructType\AllowanceChargeType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set AllowanceCharge value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\AllowanceChargeType[] $allowanceCharge
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setAllowanceCharge(array $allowanceCharge = array())
    {
        // validation for constraint: array
        if ('' !== ($allowanceChargeArrayErrorMessage = self::validateAllowanceChargeForArrayConstraintsFromSetAllowanceCharge($allowanceCharge))) {
            throw new \InvalidArgumentException($allowanceChargeArrayErrorMessage, __LINE__);
        }
        $this->AllowanceCharge = $allowanceCharge;
        return $this;
    }
    /**
     * Add item to AllowanceCharge value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\AllowanceChargeType $item
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function addToAllowanceCharge(\Novadan\Uyumsoft\StructType\AllowanceChargeType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\AllowanceChargeType) {
            throw new \InvalidArgumentException(sprintf('The AllowanceCharge property can only contain items of type \Novadan\Uyumsoft\StructType\AllowanceChargeType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->AllowanceCharge[] = $item;
        return $this;
    }
    /**
     * Get TaxTotal value
     * @return \Novadan\Uyumsoft\StructType\TaxTotalType|null
     */
    public function getTaxTotal()
    {
        return $this->TaxTotal;
    }
    /**
     * Set TaxTotal value
     * @param \Novadan\Uyumsoft\StructType\TaxTotalType $taxTotal
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setTaxTotal(\Novadan\Uyumsoft\StructType\TaxTotalType $taxTotal = null)
    {
        $this->TaxTotal = $taxTotal;
        return $this;
    }
    /**
     * Get WithholdingTaxTotal value
     * @return \Novadan\Uyumsoft\StructType\TaxTotalType[]|null
     */
    public function getWithholdingTaxTotal()
    {
        return $this->WithholdingTaxTotal;
    }
    /**
     * This method is responsible for validating the values passed to the setWithholdingTaxTotal method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWithholdingTaxTotal method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWithholdingTaxTotalForArrayConstraintsFromSetWithholdingTaxTotal(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $invoiceLineTypeWithholdingTaxTotalItem) {
            // validation for constraint: itemType
            if (!$invoiceLineTypeWithholdingTaxTotalItem instanceof \Novadan\Uyumsoft\StructType\TaxTotalType) {
                $invalidValues[] = is_object($invoiceLineTypeWithholdingTaxTotalItem) ? get_class($invoiceLineTypeWithholdingTaxTotalItem) : sprintf('%s(%s)', gettype($invoiceLineTypeWithholdingTaxTotalItem), var_export($invoiceLineTypeWithholdingTaxTotalItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WithholdingTaxTotal property can only contain items of type \Novadan\Uyumsoft\StructType\TaxTotalType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WithholdingTaxTotal value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\TaxTotalType[] $withholdingTaxTotal
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setWithholdingTaxTotal(array $withholdingTaxTotal = array())
    {
        // validation for constraint: array
        if ('' !== ($withholdingTaxTotalArrayErrorMessage = self::validateWithholdingTaxTotalForArrayConstraintsFromSetWithholdingTaxTotal($withholdingTaxTotal))) {
            throw new \InvalidArgumentException($withholdingTaxTotalArrayErrorMessage, __LINE__);
        }
        $this->WithholdingTaxTotal = $withholdingTaxTotal;
        return $this;
    }
    /**
     * Add item to WithholdingTaxTotal value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\TaxTotalType $item
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function addToWithholdingTaxTotal(\Novadan\Uyumsoft\StructType\TaxTotalType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\TaxTotalType) {
            throw new \InvalidArgumentException(sprintf('The WithholdingTaxTotal property can only contain items of type \Novadan\Uyumsoft\StructType\TaxTotalType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WithholdingTaxTotal[] = $item;
        return $this;
    }
    /**
     * Get Item value
     * @return \Novadan\Uyumsoft\StructType\ItemType|null
     */
    public function getItem()
    {
        return $this->Item;
    }
    /**
     * Set Item value
     * @param \Novadan\Uyumsoft\StructType\ItemType $item
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setItem(\Novadan\Uyumsoft\StructType\ItemType $item = null)
    {
        $this->Item = $item;
        return $this;
    }
    /**
     * Get Price value
     * @return \Novadan\Uyumsoft\StructType\PriceType|null
     */
    public function getPrice()
    {
        return $this->Price;
    }
    /**
     * Set Price value
     * @param \Novadan\Uyumsoft\StructType\PriceType $price
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setPrice(\Novadan\Uyumsoft\StructType\PriceType $price = null)
    {
        $this->Price = $price;
        return $this;
    }
    /**
     * Get SubInvoiceLine value
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType[]|null
     */
    public function getSubInvoiceLine()
    {
        return $this->SubInvoiceLine;
    }
    /**
     * This method is responsible for validating the values passed to the setSubInvoiceLine method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSubInvoiceLine method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSubInvoiceLineForArrayConstraintsFromSetSubInvoiceLine(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $invoiceLineTypeSubInvoiceLineItem) {
            // validation for constraint: itemType
            if (!$invoiceLineTypeSubInvoiceLineItem instanceof \Novadan\Uyumsoft\StructType\InvoiceLineType) {
                $invalidValues[] = is_object($invoiceLineTypeSubInvoiceLineItem) ? get_class($invoiceLineTypeSubInvoiceLineItem) : sprintf('%s(%s)', gettype($invoiceLineTypeSubInvoiceLineItem), var_export($invoiceLineTypeSubInvoiceLineItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The SubInvoiceLine property can only contain items of type \Novadan\Uyumsoft\StructType\InvoiceLineType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set SubInvoiceLine value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\InvoiceLineType[] $subInvoiceLine
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function setSubInvoiceLine(array $subInvoiceLine = array())
    {
        // validation for constraint: array
        if ('' !== ($subInvoiceLineArrayErrorMessage = self::validateSubInvoiceLineForArrayConstraintsFromSetSubInvoiceLine($subInvoiceLine))) {
            throw new \InvalidArgumentException($subInvoiceLineArrayErrorMessage, __LINE__);
        }
        $this->SubInvoiceLine = $subInvoiceLine;
        return $this;
    }
    /**
     * Add item to SubInvoiceLine value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\InvoiceLineType $item
     * @return \Novadan\Uyumsoft\StructType\InvoiceLineType
     */
    public function addToSubInvoiceLine(\Novadan\Uyumsoft\StructType\InvoiceLineType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\InvoiceLineType) {
            throw new \InvalidArgumentException(sprintf('The SubInvoiceLine property can only contain items of type \Novadan\Uyumsoft\StructType\InvoiceLineType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->SubInvoiceLine[] = $item;
        return $this;
    }
}
