<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InvoiceStatusWithLogResponse StructType
 * @subpackage Structs
 */
class InvoiceStatusWithLogResponse extends Response
{
    /**
     * The Value
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogInfo[]
     */
    public $Value;
    /**
     * Constructor method for InvoiceStatusWithLogResponse
     * @uses InvoiceStatusWithLogResponse::setValue()
     * @param \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogInfo[] $value
     */
    public function __construct(array $value = array())
    {
        $this
            ->setValue($value);
    }
    /**
     * Get Value value
     * @return \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogInfo[]|null
     */
    public function getValue()
    {
        return $this->Value;
    }
    /**
     * This method is responsible for validating the values passed to the setValue method
     * This method is willingly generated in order to preserve the one-line inline validation within the setValue method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateValueForArrayConstraintsFromSetValue(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $invoiceStatusWithLogResponseValueItem) {
            // validation for constraint: itemType
            if (!$invoiceStatusWithLogResponseValueItem instanceof \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogInfo) {
                $invalidValues[] = is_object($invoiceStatusWithLogResponseValueItem) ? get_class($invoiceStatusWithLogResponseValueItem) : sprintf('%s(%s)', gettype($invoiceStatusWithLogResponseValueItem), var_export($invoiceStatusWithLogResponseValueItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Value property can only contain items of type \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogInfo, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Value value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogInfo[] $value
     * @return \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogResponse
     */
    public function setValue(array $value = array())
    {
        // validation for constraint: array
        if ('' !== ($valueArrayErrorMessage = self::validateValueForArrayConstraintsFromSetValue($value))) {
            throw new \InvalidArgumentException($valueArrayErrorMessage, __LINE__);
        }
        $this->Value = $value;
        return $this;
    }
    /**
     * Add item to Value value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogInfo $item
     * @return \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogResponse
     */
    public function addToValue(\Novadan\Uyumsoft\StructType\InvoiceStatusWithLogInfo $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogInfo) {
            throw new \InvalidArgumentException(sprintf('The Value property can only contain items of type \Novadan\Uyumsoft\StructType\InvoiceStatusWithLogInfo, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Value[] = $item;
        return $this;
    }
}
