<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LogRecordItem StructType
 * @subpackage Structs
 */
class LogRecordItem extends AbstractStructBase
{
    /**
     * The CreateDateUtc
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $CreateDateUtc;
    /**
     * The Type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Type;
    /**
     * The Creator
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Creator;
    /**
     * The RemoteIpAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $RemoteIpAddress;
    /**
     * The LocalIpAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LocalIpAddress;
    /**
     * The MachineName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $MachineName;
    /**
     * The Message
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Message;
    /**
     * Constructor method for LogRecordItem
     * @uses LogRecordItem::setCreateDateUtc()
     * @uses LogRecordItem::setType()
     * @uses LogRecordItem::setCreator()
     * @uses LogRecordItem::setRemoteIpAddress()
     * @uses LogRecordItem::setLocalIpAddress()
     * @uses LogRecordItem::setMachineName()
     * @uses LogRecordItem::setMessage()
     * @param string $createDateUtc
     * @param string $type
     * @param string $creator
     * @param string $remoteIpAddress
     * @param string $localIpAddress
     * @param string $machineName
     * @param string $message
     */
    public function __construct($createDateUtc = null, $type = null, $creator = null, $remoteIpAddress = null, $localIpAddress = null, $machineName = null, $message = null)
    {
        $this
            ->setCreateDateUtc($createDateUtc)
            ->setType($type)
            ->setCreator($creator)
            ->setRemoteIpAddress($remoteIpAddress)
            ->setLocalIpAddress($localIpAddress)
            ->setMachineName($machineName)
            ->setMessage($message);
    }
    /**
     * Get CreateDateUtc value
     * @return string
     */
    public function getCreateDateUtc()
    {
        return $this->CreateDateUtc;
    }
    /**
     * Set CreateDateUtc value
     * @param string $createDateUtc
     * @return \Novadan\Uyumsoft\StructType\LogRecordItem
     */
    public function setCreateDateUtc($createDateUtc = null)
    {
        // validation for constraint: string
        if (!is_null($createDateUtc) && !is_string($createDateUtc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($createDateUtc, true), gettype($createDateUtc)), __LINE__);
        }
        $this->CreateDateUtc = $createDateUtc;
        return $this;
    }
    /**
     * Get Type value
     * @return string
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \Novadan\Uyumsoft\StructType\LogRecordItem
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->Type = $type;
        return $this;
    }
    /**
     * Get Creator value
     * @return string|null
     */
    public function getCreator()
    {
        return $this->Creator;
    }
    /**
     * Set Creator value
     * @param string $creator
     * @return \Novadan\Uyumsoft\StructType\LogRecordItem
     */
    public function setCreator($creator = null)
    {
        // validation for constraint: string
        if (!is_null($creator) && !is_string($creator)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($creator, true), gettype($creator)), __LINE__);
        }
        $this->Creator = $creator;
        return $this;
    }
    /**
     * Get RemoteIpAddress value
     * @return string|null
     */
    public function getRemoteIpAddress()
    {
        return $this->RemoteIpAddress;
    }
    /**
     * Set RemoteIpAddress value
     * @param string $remoteIpAddress
     * @return \Novadan\Uyumsoft\StructType\LogRecordItem
     */
    public function setRemoteIpAddress($remoteIpAddress = null)
    {
        // validation for constraint: string
        if (!is_null($remoteIpAddress) && !is_string($remoteIpAddress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($remoteIpAddress, true), gettype($remoteIpAddress)), __LINE__);
        }
        $this->RemoteIpAddress = $remoteIpAddress;
        return $this;
    }
    /**
     * Get LocalIpAddress value
     * @return string|null
     */
    public function getLocalIpAddress()
    {
        return $this->LocalIpAddress;
    }
    /**
     * Set LocalIpAddress value
     * @param string $localIpAddress
     * @return \Novadan\Uyumsoft\StructType\LogRecordItem
     */
    public function setLocalIpAddress($localIpAddress = null)
    {
        // validation for constraint: string
        if (!is_null($localIpAddress) && !is_string($localIpAddress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($localIpAddress, true), gettype($localIpAddress)), __LINE__);
        }
        $this->LocalIpAddress = $localIpAddress;
        return $this;
    }
    /**
     * Get MachineName value
     * @return string|null
     */
    public function getMachineName()
    {
        return $this->MachineName;
    }
    /**
     * Set MachineName value
     * @param string $machineName
     * @return \Novadan\Uyumsoft\StructType\LogRecordItem
     */
    public function setMachineName($machineName = null)
    {
        // validation for constraint: string
        if (!is_null($machineName) && !is_string($machineName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($machineName, true), gettype($machineName)), __LINE__);
        }
        $this->MachineName = $machineName;
        return $this;
    }
    /**
     * Get Message value
     * @return string|null
     */
    public function getMessage()
    {
        return $this->Message;
    }
    /**
     * Set Message value
     * @param string $message
     * @return \Novadan\Uyumsoft\StructType\LogRecordItem
     */
    public function setMessage($message = null)
    {
        // validation for constraint: string
        if (!is_null($message) && !is_string($message)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($message, true), gettype($message)), __LINE__);
        }
        $this->Message = $message;
        return $this;
    }
}
