<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MailAttachmentInformation StructType
 * @subpackage Structs
 */
class MailAttachmentInformation extends AbstractStructBase
{
    /**
     * The Xml
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $Xml;
    /**
     * The Pdf
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $Pdf;
    /**
     * The Html
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $Html;
    /**
     * The AdditionalDocuments
     * Meta information extracted from the WSDL
     * - use: required
     * @var bool
     */
    public $AdditionalDocuments;
    /**
     * Constructor method for MailAttachmentInformation
     * @uses MailAttachmentInformation::setXml()
     * @uses MailAttachmentInformation::setPdf()
     * @uses MailAttachmentInformation::setHtml()
     * @uses MailAttachmentInformation::setAdditionalDocuments()
     * @param bool $xml
     * @param bool $pdf
     * @param bool $html
     * @param bool $additionalDocuments
     */
    public function __construct($xml = null, $pdf = null, $html = null, $additionalDocuments = null)
    {
        $this
            ->setXml($xml)
            ->setPdf($pdf)
            ->setHtml($html)
            ->setAdditionalDocuments($additionalDocuments);
    }
    /**
     * Get Xml value
     * @return bool
     */
    public function getXml()
    {
        return $this->Xml;
    }
    /**
     * Set Xml value
     * @param bool $xml
     * @return \Novadan\Uyumsoft\StructType\MailAttachmentInformation
     */
    public function setXml($xml = null)
    {
        // validation for constraint: boolean
        if (!is_null($xml) && !is_bool($xml)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($xml, true), gettype($xml)), __LINE__);
        }
        $this->Xml = $xml;
        return $this;
    }
    /**
     * Get Pdf value
     * @return bool
     */
    public function getPdf()
    {
        return $this->Pdf;
    }
    /**
     * Set Pdf value
     * @param bool $pdf
     * @return \Novadan\Uyumsoft\StructType\MailAttachmentInformation
     */
    public function setPdf($pdf = null)
    {
        // validation for constraint: boolean
        if (!is_null($pdf) && !is_bool($pdf)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($pdf, true), gettype($pdf)), __LINE__);
        }
        $this->Pdf = $pdf;
        return $this;
    }
    /**
     * Get Html value
     * @return bool
     */
    public function getHtml()
    {
        return $this->Html;
    }
    /**
     * Set Html value
     * @param bool $html
     * @return \Novadan\Uyumsoft\StructType\MailAttachmentInformation
     */
    public function setHtml($html = null)
    {
        // validation for constraint: boolean
        if (!is_null($html) && !is_bool($html)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($html, true), gettype($html)), __LINE__);
        }
        $this->Html = $html;
        return $this;
    }
    /**
     * Get AdditionalDocuments value
     * @return bool
     */
    public function getAdditionalDocuments()
    {
        return $this->AdditionalDocuments;
    }
    /**
     * Set AdditionalDocuments value
     * @param bool $additionalDocuments
     * @return \Novadan\Uyumsoft\StructType\MailAttachmentInformation
     */
    public function setAdditionalDocuments($additionalDocuments = null)
    {
        // validation for constraint: boolean
        if (!is_null($additionalDocuments) && !is_bool($additionalDocuments)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($additionalDocuments, true), gettype($additionalDocuments)), __LINE__);
        }
        $this->AdditionalDocuments = $additionalDocuments;
        return $this;
    }
}
