<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OrderLineReferenceType StructType
 * @subpackage Structs
 */
class OrderLineReferenceType extends AbstractStructBase
{
    /**
     * The LineID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q171:LineID
     * @var \Novadan\Uyumsoft\StructType\LineIDType
     */
    public $LineID;
    /**
     * The SalesOrderLineID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q172:SalesOrderLineID
     * @var \Novadan\Uyumsoft\StructType\SalesOrderLineIDType
     */
    public $SalesOrderLineID;
    /**
     * The UUID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q173:UUID
     * @var \Novadan\Uyumsoft\StructType\UUIDType
     */
    public $UUID;
    /**
     * The LineStatusCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q174:LineStatusCode
     * @var \Novadan\Uyumsoft\StructType\LineStatusCodeType
     */
    public $LineStatusCode;
    /**
     * The OrderReference
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\OrderReferenceType
     */
    public $OrderReference;
    /**
     * Constructor method for OrderLineReferenceType
     * @uses OrderLineReferenceType::setLineID()
     * @uses OrderLineReferenceType::setSalesOrderLineID()
     * @uses OrderLineReferenceType::setUUID()
     * @uses OrderLineReferenceType::setLineStatusCode()
     * @uses OrderLineReferenceType::setOrderReference()
     * @param \Novadan\Uyumsoft\StructType\LineIDType $lineID
     * @param \Novadan\Uyumsoft\StructType\SalesOrderLineIDType $salesOrderLineID
     * @param \Novadan\Uyumsoft\StructType\UUIDType $uUID
     * @param \Novadan\Uyumsoft\StructType\LineStatusCodeType $lineStatusCode
     * @param \Novadan\Uyumsoft\StructType\OrderReferenceType $orderReference
     */
    public function __construct(\Novadan\Uyumsoft\StructType\LineIDType $lineID = null, \Novadan\Uyumsoft\StructType\SalesOrderLineIDType $salesOrderLineID = null, \Novadan\Uyumsoft\StructType\UUIDType $uUID = null, \Novadan\Uyumsoft\StructType\LineStatusCodeType $lineStatusCode = null, \Novadan\Uyumsoft\StructType\OrderReferenceType $orderReference = null)
    {
        $this
            ->setLineID($lineID)
            ->setSalesOrderLineID($salesOrderLineID)
            ->setUUID($uUID)
            ->setLineStatusCode($lineStatusCode)
            ->setOrderReference($orderReference);
    }
    /**
     * Get LineID value
     * @return \Novadan\Uyumsoft\StructType\LineIDType|null
     */
    public function getLineID()
    {
        return $this->LineID;
    }
    /**
     * Set LineID value
     * @param \Novadan\Uyumsoft\StructType\LineIDType $lineID
     * @return \Novadan\Uyumsoft\StructType\OrderLineReferenceType
     */
    public function setLineID(\Novadan\Uyumsoft\StructType\LineIDType $lineID = null)
    {
        $this->LineID = $lineID;
        return $this;
    }
    /**
     * Get SalesOrderLineID value
     * @return \Novadan\Uyumsoft\StructType\SalesOrderLineIDType|null
     */
    public function getSalesOrderLineID()
    {
        return $this->SalesOrderLineID;
    }
    /**
     * Set SalesOrderLineID value
     * @param \Novadan\Uyumsoft\StructType\SalesOrderLineIDType $salesOrderLineID
     * @return \Novadan\Uyumsoft\StructType\OrderLineReferenceType
     */
    public function setSalesOrderLineID(\Novadan\Uyumsoft\StructType\SalesOrderLineIDType $salesOrderLineID = null)
    {
        $this->SalesOrderLineID = $salesOrderLineID;
        return $this;
    }
    /**
     * Get UUID value
     * @return \Novadan\Uyumsoft\StructType\UUIDType|null
     */
    public function getUUID()
    {
        return $this->UUID;
    }
    /**
     * Set UUID value
     * @param \Novadan\Uyumsoft\StructType\UUIDType $uUID
     * @return \Novadan\Uyumsoft\StructType\OrderLineReferenceType
     */
    public function setUUID(\Novadan\Uyumsoft\StructType\UUIDType $uUID = null)
    {
        $this->UUID = $uUID;
        return $this;
    }
    /**
     * Get LineStatusCode value
     * @return \Novadan\Uyumsoft\StructType\LineStatusCodeType|null
     */
    public function getLineStatusCode()
    {
        return $this->LineStatusCode;
    }
    /**
     * Set LineStatusCode value
     * @param \Novadan\Uyumsoft\StructType\LineStatusCodeType $lineStatusCode
     * @return \Novadan\Uyumsoft\StructType\OrderLineReferenceType
     */
    public function setLineStatusCode(\Novadan\Uyumsoft\StructType\LineStatusCodeType $lineStatusCode = null)
    {
        $this->LineStatusCode = $lineStatusCode;
        return $this;
    }
    /**
     * Get OrderReference value
     * @return \Novadan\Uyumsoft\StructType\OrderReferenceType|null
     */
    public function getOrderReference()
    {
        return $this->OrderReference;
    }
    /**
     * Set OrderReference value
     * @param \Novadan\Uyumsoft\StructType\OrderReferenceType $orderReference
     * @return \Novadan\Uyumsoft\StructType\OrderLineReferenceType
     */
    public function setOrderReference(\Novadan\Uyumsoft\StructType\OrderReferenceType $orderReference = null)
    {
        $this->OrderReference = $orderReference;
        return $this;
    }
}
