<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SetXsltView StructType
 * @subpackage Structs
 */
class SetXsltView extends AbstractStructBase
{
    /**
     * The type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $type;
    /**
     * The userInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\UserInformation
     */
    public $userInfo;
    /**
     * The fileContent
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $fileContent;
    /**
     * Constructor method for SetXsltView
     * @uses SetXsltView::setType()
     * @uses SetXsltView::setUserInfo()
     * @uses SetXsltView::setFileContent()
     * @param string $type
     * @param \Novadan\Uyumsoft\StructType\UserInformation $userInfo
     * @param string $fileContent
     */
    public function __construct($type = null, \Novadan\Uyumsoft\StructType\UserInformation $userInfo = null, $fileContent = null)
    {
        $this
            ->setType($type)
            ->setUserInfo($userInfo)
            ->setFileContent($fileContent);
    }
    /**
     * Get type value
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @uses \Novadan\Uyumsoft\EnumType\XsltViewType::valueIsValid()
     * @uses \Novadan\Uyumsoft\EnumType\XsltViewType::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $type
     * @return \Novadan\Uyumsoft\StructType\SetXsltView
     */
    public function setType($type = null)
    {
        // validation for constraint: enumeration
        if (!\Novadan\Uyumsoft\EnumType\XsltViewType::valueIsValid($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \Novadan\Uyumsoft\EnumType\XsltViewType', is_array($type) ? implode(', ', $type) : var_export($type, true), implode(', ', \Novadan\Uyumsoft\EnumType\XsltViewType::getValidValues())), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get userInfo value
     * @return \Novadan\Uyumsoft\StructType\UserInformation|null
     */
    public function getUserInfo()
    {
        return $this->userInfo;
    }
    /**
     * Set userInfo value
     * @param \Novadan\Uyumsoft\StructType\UserInformation $userInfo
     * @return \Novadan\Uyumsoft\StructType\SetXsltView
     */
    public function setUserInfo(\Novadan\Uyumsoft\StructType\UserInformation $userInfo = null)
    {
        $this->userInfo = $userInfo;
        return $this;
    }
    /**
     * Get fileContent value
     * @return string|null
     */
    public function getFileContent()
    {
        return $this->fileContent;
    }
    /**
     * Set fileContent value
     * @param string $fileContent
     * @return \Novadan\Uyumsoft\StructType\SetXsltView
     */
    public function setFileContent($fileContent = null)
    {
        // validation for constraint: string
        if (!is_null($fileContent) && !is_string($fileContent)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fileContent, true), gettype($fileContent)), __LINE__);
        }
        $this->fileContent = $fileContent;
        return $this;
    }
}
