<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SystemUserDefinition StructType
 * @subpackage Structs
 */
class SystemUserDefinition extends EntityBaseInt
{
    /**
     * The CreateDateUtc
     * Meta information extracted from the WSDL
     * - use: required
     * @var string
     */
    public $CreateDateUtc;
    /**
     * The Identifier
     * @var string
     */
    public $Identifier;
    /**
     * The Title
     * @var string
     */
    public $Title;
    /**
     * The Type
     * @var string
     */
    public $Type;
    /**
     * The SystemCreateDate
     * @var string
     */
    public $SystemCreateDate;
    /**
     * Constructor method for SystemUserDefinition
     * @uses SystemUserDefinition::setCreateDateUtc()
     * @uses SystemUserDefinition::setIdentifier()
     * @uses SystemUserDefinition::setTitle()
     * @uses SystemUserDefinition::setType()
     * @uses SystemUserDefinition::setSystemCreateDate()
     * @param string $createDateUtc
     * @param string $identifier
     * @param string $title
     * @param string $type
     * @param string $systemCreateDate
     */
    public function __construct($createDateUtc = null, $identifier = null, $title = null, $type = null, $systemCreateDate = null)
    {
        $this
            ->setCreateDateUtc($createDateUtc)
            ->setIdentifier($identifier)
            ->setTitle($title)
            ->setType($type)
            ->setSystemCreateDate($systemCreateDate);
    }
    /**
     * Get CreateDateUtc value
     * @return string
     */
    public function getCreateDateUtc()
    {
        return $this->CreateDateUtc;
    }
    /**
     * Set CreateDateUtc value
     * @param string $createDateUtc
     * @return \Novadan\Uyumsoft\StructType\SystemUserDefinition
     */
    public function setCreateDateUtc($createDateUtc = null)
    {
        // validation for constraint: string
        if (!is_null($createDateUtc) && !is_string($createDateUtc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($createDateUtc, true), gettype($createDateUtc)), __LINE__);
        }
        $this->CreateDateUtc = $createDateUtc;
        return $this;
    }
    /**
     * Get Identifier value
     * @return string|null
     */
    public function getIdentifier()
    {
        return $this->Identifier;
    }
    /**
     * Set Identifier value
     * @param string $identifier
     * @return \Novadan\Uyumsoft\StructType\SystemUserDefinition
     */
    public function setIdentifier($identifier = null)
    {
        // validation for constraint: string
        if (!is_null($identifier) && !is_string($identifier)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identifier, true), gettype($identifier)), __LINE__);
        }
        $this->Identifier = $identifier;
        return $this;
    }
    /**
     * Get Title value
     * @return string|null
     */
    public function getTitle()
    {
        return $this->Title;
    }
    /**
     * Set Title value
     * @param string $title
     * @return \Novadan\Uyumsoft\StructType\SystemUserDefinition
     */
    public function setTitle($title = null)
    {
        // validation for constraint: string
        if (!is_null($title) && !is_string($title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($title, true), gettype($title)), __LINE__);
        }
        $this->Title = $title;
        return $this;
    }
    /**
     * Get Type value
     * @return string|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \Novadan\Uyumsoft\StructType\SystemUserDefinition
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->Type = $type;
        return $this;
    }
    /**
     * Get SystemCreateDate value
     * @return string|null
     */
    public function getSystemCreateDate()
    {
        return $this->SystemCreateDate;
    }
    /**
     * Set SystemCreateDate value
     * @param string $systemCreateDate
     * @return \Novadan\Uyumsoft\StructType\SystemUserDefinition
     */
    public function setSystemCreateDate($systemCreateDate = null)
    {
        // validation for constraint: string
        if (!is_null($systemCreateDate) && !is_string($systemCreateDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($systemCreateDate, true), gettype($systemCreateDate)), __LINE__);
        }
        $this->SystemCreateDate = $systemCreateDate;
        return $this;
    }
}
