<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TemperatureType StructType
 * @subpackage Structs
 */
class TemperatureType extends AbstractStructBase
{
    /**
     * The AttributeID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q189:AttributeID
     * @var \Novadan\Uyumsoft\StructType\AttributeIDType
     */
    public $AttributeID;
    /**
     * The Measure
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - ref: q190:Measure
     * @var \Novadan\Uyumsoft\StructType\MeasureType
     */
    public $Measure;
    /**
     * The Description
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - ref: q191:Description
     * @var \Novadan\Uyumsoft\StructType\DescriptionType[]
     */
    public $Description;
    /**
     * Constructor method for TemperatureType
     * @uses TemperatureType::setAttributeID()
     * @uses TemperatureType::setMeasure()
     * @uses TemperatureType::setDescription()
     * @param \Novadan\Uyumsoft\StructType\AttributeIDType $attributeID
     * @param \Novadan\Uyumsoft\StructType\MeasureType $measure
     * @param \Novadan\Uyumsoft\StructType\DescriptionType[] $description
     */
    public function __construct(\Novadan\Uyumsoft\StructType\AttributeIDType $attributeID = null, \Novadan\Uyumsoft\StructType\MeasureType $measure = null, array $description = array())
    {
        $this
            ->setAttributeID($attributeID)
            ->setMeasure($measure)
            ->setDescription($description);
    }
    /**
     * Get AttributeID value
     * @return \Novadan\Uyumsoft\StructType\AttributeIDType|null
     */
    public function getAttributeID()
    {
        return $this->AttributeID;
    }
    /**
     * Set AttributeID value
     * @param \Novadan\Uyumsoft\StructType\AttributeIDType $attributeID
     * @return \Novadan\Uyumsoft\StructType\TemperatureType
     */
    public function setAttributeID(\Novadan\Uyumsoft\StructType\AttributeIDType $attributeID = null)
    {
        $this->AttributeID = $attributeID;
        return $this;
    }
    /**
     * Get Measure value
     * @return \Novadan\Uyumsoft\StructType\MeasureType|null
     */
    public function getMeasure()
    {
        return $this->Measure;
    }
    /**
     * Set Measure value
     * @param \Novadan\Uyumsoft\StructType\MeasureType $measure
     * @return \Novadan\Uyumsoft\StructType\TemperatureType
     */
    public function setMeasure(\Novadan\Uyumsoft\StructType\MeasureType $measure = null)
    {
        $this->Measure = $measure;
        return $this;
    }
    /**
     * Get Description value
     * @return \Novadan\Uyumsoft\StructType\DescriptionType[]|null
     */
    public function getDescription()
    {
        return $this->Description;
    }
    /**
     * This method is responsible for validating the values passed to the setDescription method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDescription method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDescriptionForArrayConstraintsFromSetDescription(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $temperatureTypeDescriptionItem) {
            // validation for constraint: itemType
            if (!$temperatureTypeDescriptionItem instanceof \Novadan\Uyumsoft\StructType\DescriptionType) {
                $invalidValues[] = is_object($temperatureTypeDescriptionItem) ? get_class($temperatureTypeDescriptionItem) : sprintf('%s(%s)', gettype($temperatureTypeDescriptionItem), var_export($temperatureTypeDescriptionItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The Description property can only contain items of type \Novadan\Uyumsoft\StructType\DescriptionType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set Description value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\DescriptionType[] $description
     * @return \Novadan\Uyumsoft\StructType\TemperatureType
     */
    public function setDescription(array $description = array())
    {
        // validation for constraint: array
        if ('' !== ($descriptionArrayErrorMessage = self::validateDescriptionForArrayConstraintsFromSetDescription($description))) {
            throw new \InvalidArgumentException($descriptionArrayErrorMessage, __LINE__);
        }
        $this->Description = $description;
        return $this;
    }
    /**
     * Add item to Description value
     * @throws \InvalidArgumentException
     * @param \Novadan\Uyumsoft\StructType\DescriptionType $item
     * @return \Novadan\Uyumsoft\StructType\TemperatureType
     */
    public function addToDescription(\Novadan\Uyumsoft\StructType\DescriptionType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Novadan\Uyumsoft\StructType\DescriptionType) {
            throw new \InvalidArgumentException(sprintf('The Description property can only contain items of type \Novadan\Uyumsoft\StructType\DescriptionType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->Description[] = $item;
        return $this;
    }
}
