<?php

namespace Novadan\Uyumsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransferInboxInvoiceToAnotherBranch StructType
 * @subpackage Structs
 */
class TransferInboxInvoiceToAnotherBranch extends AbstractStructBase
{
    /**
     * The userInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\StructType\UserInformation
     */
    public $userInfo;
    /**
     * The invoiceIds
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Novadan\Uyumsoft\ArrayType\ArrayOfString
     */
    public $invoiceIds;
    /**
     * The targetBranchAlias
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $targetBranchAlias;
    /**
     * Constructor method for TransferInboxInvoiceToAnotherBranch
     * @uses TransferInboxInvoiceToAnotherBranch::setUserInfo()
     * @uses TransferInboxInvoiceToAnotherBranch::setInvoiceIds()
     * @uses TransferInboxInvoiceToAnotherBranch::setTargetBranchAlias()
     * @param \Novadan\Uyumsoft\StructType\UserInformation $userInfo
     * @param \Novadan\Uyumsoft\ArrayType\ArrayOfString $invoiceIds
     * @param string $targetBranchAlias
     */
    public function __construct(\Novadan\Uyumsoft\StructType\UserInformation $userInfo = null, \Novadan\Uyumsoft\ArrayType\ArrayOfString $invoiceIds = null, $targetBranchAlias = null)
    {
        $this
            ->setUserInfo($userInfo)
            ->setInvoiceIds($invoiceIds)
            ->setTargetBranchAlias($targetBranchAlias);
    }
    /**
     * Get userInfo value
     * @return \Novadan\Uyumsoft\StructType\UserInformation|null
     */
    public function getUserInfo()
    {
        return $this->userInfo;
    }
    /**
     * Set userInfo value
     * @param \Novadan\Uyumsoft\StructType\UserInformation $userInfo
     * @return \Novadan\Uyumsoft\StructType\TransferInboxInvoiceToAnotherBranch
     */
    public function setUserInfo(\Novadan\Uyumsoft\StructType\UserInformation $userInfo = null)
    {
        $this->userInfo = $userInfo;
        return $this;
    }
    /**
     * Get invoiceIds value
     * @return \Novadan\Uyumsoft\ArrayType\ArrayOfString|null
     */
    public function getInvoiceIds()
    {
        return $this->invoiceIds;
    }
    /**
     * Set invoiceIds value
     * @param \Novadan\Uyumsoft\ArrayType\ArrayOfString $invoiceIds
     * @return \Novadan\Uyumsoft\StructType\TransferInboxInvoiceToAnotherBranch
     */
    public function setInvoiceIds(\Novadan\Uyumsoft\ArrayType\ArrayOfString $invoiceIds = null)
    {
        $this->invoiceIds = $invoiceIds;
        return $this;
    }
    /**
     * Get targetBranchAlias value
     * @return string|null
     */
    public function getTargetBranchAlias()
    {
        return $this->targetBranchAlias;
    }
    /**
     * Set targetBranchAlias value
     * @param string $targetBranchAlias
     * @return \Novadan\Uyumsoft\StructType\TransferInboxInvoiceToAnotherBranch
     */
    public function setTargetBranchAlias($targetBranchAlias = null)
    {
        // validation for constraint: string
        if (!is_null($targetBranchAlias) && !is_string($targetBranchAlias)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($targetBranchAlias, true), gettype($targetBranchAlias)), __LINE__);
        }
        $this->targetBranchAlias = $targetBranchAlias;
        return $this;
    }
}
